<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ConfigManagementClient" %>
<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ConfigClientConstants" %>
<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ResponseInformation" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" src="global-params.js"></script>
<script type="text/javascript" src="configcommon.js"></script>
<fmt:bundle basename="org.wso2.carbon.mediation.configadmin.ui.i18n.Resources">
<carbon:breadcrumb resourceBundle="org.wso2.carbon.mediation.configadmin.ui.i18n.Resources"
                   topPage="false" label="manage.synapse.config" request="<%=request%>"/>

<%
    String saveMode = request.getParameter("status");
    if ("updated".equals(saveMode)) {
%>
<script type="text/javascript">
    jQuery(document).ready(function() {
        CARBON.showInfoDialog("<fmt:message key="configuration.updated.successfully"/>");
    });
</script>
<%
} else if ("saved".equals(saveMode)) {
%>
<script type="text/javascript">
    jQuery(document).ready(function() {
        CARBON.showInfoDialog("<fmt:message key="configuration.saved.successfully"/>");
    });
</script>
<%
} else if ("updatedFailed".equals(saveMode)) {
    String errorMsg = request.getParameter("errormsg");
    if (errorMsg == null) {
        errorMsg = "";
    }
%>
<script type="text/javascript">
    jQuery(document).ready(function() {
        CARBON.showErrorDialog("<fmt:message key="failed.to.update.configuration.error.was"/>" + '<%=errorMsg%>');
    });
</script>
<%
} else if ("failed".equals(saveMode)) {
    String errorMsg = request.getParameter("errormsg");
    if (errorMsg == null) {
        errorMsg = "";
    }
%>
<script type="text/javascript">
    jQuery(document).ready(function() {
        CARBON.showErrorDialog("<fmt:message key="failed.to.save.configuration.error.was"/>" + '<%=errorMsg%>');
    });
</script>
<%
    }
%>
<div id="middle">
<h2><fmt:message key="manage.synapse.config"/></h2>

<div id="workArea">
    <%
        ConfigManagementClient client = null;
        ;
        try {
            client = ConfigManagementClient.getInstance(config, session);

            ResponseInformation responseInformation = client.getConfiguration(session);
            if (!responseInformation.isFault()) {
                String synapseConf = (String) responseInformation.getResult();
                if (synapseConf != null) {
                    synapseConf = synapseConf.trim();
                } else {
                    synapseConf = "";
                }

    %>
    <form method="post" name="configform" id="configform"
          action="saveconfig.jsp">
        <div id="saveConfiguration">
                <span style="margin-top:10px;margin-bottom:10px; display:block;_margin-top:0px;"><fmt:message
                        key="save.advice"/></span>

        </div>

        <table class="styledLeft">
            <thead>
                <tr>
                    <th>
                        <fmt:message key="current.configuration"/>
                    </th>
                </tr>
            </thead>
            <tr>
                <td class="formRow">
                    <table class="normal">
                        <tr>
                            <td>
                                <textarea id="rawConfig" name="rawConfig"
                                          style="border:solid 1px #cccccc; width: 760px; height: 275px; margin-top:5px;"><%=synapseConf.trim()%></textarea>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="buttonRow">
                    <input name="saveConfig" type="button" class="button"
                           value="<fmt:message key="save"/>"
                           onclick="javascript:saveConfigurationToDisk(document.configform);return false;"/>
                    <input name="updateConfig" type="button"
                           class="button"
                           value="<fmt:message key="update"/>"
                           onclick="javascript:updateConfiguration(document.configform);return false;"
                           title="Apply manual changes"/>
                    <input name="resetConfig" type="reset" class="button"
                           value="<fmt:message key="reset"/>"
                           onclick="resetConfiguration()"/>
                    <input type="hidden" name="actionType" id="actionType"
                           value=""/>
                </td>
            </tr>
        </table>

            <%
            
            
            
            
            
            } else {
                
            
            
            
            %>
        <script type="text/javascript">
            jQuery(document).ready(function() {
                CARBON.showErrorDialog("<fmt:message key="error.getting.configuration"/>" + '<%=responseInformation.getMessage()%>');
            });
        </script>
            <%
            
            
                }
                }catch (Exception e){
                  
            
            %>
        <script type="text/javascript">
            jQuery(document).ready(function() {
                CARBON.showErrorDialog("<fmt:message key="error.getting.configuration"/>" + '<%=e.getMessage()%>');
            });
        </script>
            <%
            
                
            }          
            
            
            
            %>
</div>
</div>
</fmt:bundle>
