<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@ page contentType="text/html" pageEncoding="UTF-8" %>
<%@ page import="org.wso2.carbon.endpoint.service.EndpointAdminStub" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.axis2.context.ConfigurationContextFactory" %>
<%@ page import="org.wso2.carbon.endpoint.tos.xsd.*" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="org.apache.axiom.*" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="java.io.*" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.endpoint.ui.client.EndpointAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="javax.xml.stream.XMLStreamException" %>
<%@ page import="java.util.ResourceBundle" %>
<%@ page import="java.util.Locale"%>
<%@ page import="java.util.MissingResourceException"%>
<%@ page import="javax.xml.stream.XMLStreamException" %>

<script type="text/javascript" src="../yui/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="../yui/build/container/container_core-min.js"></script>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.endpoints.ui.i18n.Resources">
<carbon:breadcrumb
		label="address.endpoint"
		resourceBundle="org.wso2.carbon.endpoints.ui.i18n.Resources"
		topPage="false"
		request="<%=request%>" />
<link type="text/css" rel="stylesheet" href="css/style.css"/>
<div>

<%! private static String[] format = {"Leave As-Is", "SOAP 1.1",
        "SOAP 1.2", "Plain Old XML (POX)", "REpresentational State Transer (REST/GET)"};
    private static String[] optimize = {"Leave As-Is", "SwA", "MTOM"};
    private static String[] actionArr = null;
    private ResourceBundle bundle = null;
%>

<%
Locale locale = request.getLocale();

try {
    bundle = ResourceBundle.getBundle("org.wso2.carbon.endpoints.ui.i18n.Resources", locale);
    actionArr = new String[]{bundle.getString("action.never.timeout"), bundle.getString("action.discard.message"), bundle.getString("action.execute.fault.sequence")};
} catch (MissingResourceException e) {
  
}
%>


<script type="text/javascript">
    /*
     var queryString = window.top.location.search.substring(1);
     function getParameter () {
        // Add "=" to the parameter name (i.e. parameterName=value)
            var parameterName = "endpointName";
        parameterName = parameterName + "=";
        if ( queryString.length > 0 ) {
            // Find the beginning of the string
            begin = queryString.indexOf ( parameterName );
            // If the parameter name is not found, skip it, otherwise return the value
            if ( begin != -1 ) {
            // Add the length (integer) to the beginning
            begin += parameterName.length;
            // Multiple parameters are separated by the "&" sign
            end = queryString.indexOf ( "&" , begin );
            if ( end == -1 ) {
                end = queryString.length;
            }
            // Return the string
            return unescape ( queryString.substring ( begin, end ) );
            }
            // Return "null" if no parameter has been found
            return "null";
        }
             return "null";
    }


    function endPointName(){


        return document.getElementById('addname').value;

    }
    */
    function ValidateForm(form) {
    <%
        String epMode = (String)session.getAttribute("epMode");
        if (epMode == null || !"anon".equals(epMode)) {
            // we are NOT in anon mode now
            %>
            if (IsEmpty(document.AddressEndpoint.Name)) {
                CARBON.showWarningDialog('<fmt:message key="name.field.cannot.be.empty"/>')
                document.AddressEndpoint.Name.focus();
                return false;
            }
            <%
        }
    %>
        if (IsEmpty(document.AddressEndpoint.Address)) {
            CARBON.showWarningDialog('<fmt:message key="address.field.cannot.be.empty"/>')
            document.AddressEndpoint.Address.focus();
            return false;
        }
        else if(valAdd()){
            CARBON.showWarningDialog('<fmt:message key="invalid.url.provided"/>');
            document.AddressEndpoint.Address.focus();
            return false;
        }
        else  if (isNaN(document.AddressEndpoint.DurationSec.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.numeric.value.to.the.suspend.duration.seconds.field"/>')
            document.AddressEndpoint.DurationSec.focus();
            return false;
        }
        else if (isNaN(document.AddressEndpoint.DurationInAction.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.numeric.value.to.the.timeout.duration.seconds.field"/>')
            document.AddressEndpoint.DurationInAction.focus();
            return false;
        }
        else  if (isNaN(document.AddressEndpoint.maxDur.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.valid.number.to.the.max.duration.seconds.field"/>')
            document.AddressEndpoint.maxDur.focus();
            return false;
        }
        else  if (isNaN(document.AddressEndpoint.factor.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.valid.number.to.the.factor.field"/>')
            document.AddressEndpoint.factor.focus();
            return false;
        }
        else  if (isNaN(document.AddressEndpoint.retry.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.valid.number.to.the.retry.field"/>')
            document.AddressEndpoint.retry.focus();
            return false;
        }

        else  if (isNaN(document.AddressEndpoint.retryDelay.value)) {
            CARBON.showWarningDialog('<fmt:message key="please.enter.a.valid.number.to.the.retrydelay.field"/>')
            document.AddressEndpoint.retryDelay.focus();
            return false;
        }



        return true;
    }

    function IsEmpty(aTextField) {
        if ((aTextField.value.length == 0) ||
            (aTextField.value == null)) {
            return true;
        }
        else {
            return false;
        }
    }

    function checkAction(selNode) {
        var selected =selNode.options[selNode.selectedIndex].value;
        //alert(selected);
       // var selectedVal = document.AddressEndpoint.Action.value
        var durTextField = document.getElementById("actDur");
        if(selected=='<fmt:message key="action.never.timeout"/>'){
            durTextField.disabled = "disabled"
            durTextField.value = '0'
        }

       // if (selectedVal == 'Never timeout') {

         //   durTextField.disabled = "disabled"
        //    durTextField.value = '0'

       // }
        else {
            durTextField.disabled = ""
        }

    }
  

function viewDesign(){

	var txtVal = document.getElementById("test").value;
	document.location.href='addressEndpointCaller.jsp?'+'epXML='+txtVal;

}

function submitData(){
	document.AddressEndpoint.action="addressEndpointCaller.jsp";
	//document.AddressEndpoint.onsubmit="ValidateForm()";
	if(ValidateForm()){
	document.AddressEndpoint.submit();
    }
}

    function cancelData() {
    <%
        String anonEpOriginator;
        if ((anonEpOriginator = (String)session.getAttribute("anonOriginator")) != null
            && !"".equals(anonEpOriginator)) {%>
        window.location.href = '<%=anonEpOriginator%>?cancelled=true';
    <%} else {%>
        window.location.href = 'index.jsp';
        <%}%>
    }

function submitSourceView(){
	document.AddressEndpoint.action="sourceview.jsp";
//if(ValidateForm()){
	document.AddressEndpoint.submit();
//}
}

function valAdd() {

    var error = "";
    var regx = RegExp("(jms|mailto|http|https|vfs:ftp|vfs:file):/.*");
    if (!(document.AddressEndpoint.Address.value.match(regx))) {

        return true;
    }

    return false;
}
</script>
<script type="text/javascript" src="../resources/js/resource_util.js"></script>
<div id="middle">
<h2><fmt:message key="address.endpoint"/></h2>

<div id="workArea">

<form id="dd" name="AddressEndpoint" action="" method="POST">
<table class="styledLeft">
<thead>
    <tr>
        <th><span style="float: left; position: relative; margin-top: 2px;"><fmt:message key="design.view.of.the.address.endpoint"/></span><a class="icon-link"  style="background-image: url(images/source-view.gif);" onclick="submitSourceView()" href="#"><fmt:message key="switch.to.source.view"/></a></th>
    </tr>
</thead>
<%
    String epName = request.getParameter("endpointName");
    if (epName != null) {
        session.setAttribute("edit" + epName, "true");
    }

    String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(),
            session);

    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);

    EndpointAdminClient client = new EndpointAdminClient(cookie, url, configContext);


    AddressEndpointData epData = null;
     boolean src = false;
    if(session.getAttribute("design")!=null){
        epData = (AddressEndpointData)session.getAttribute("design");
        if(epData.getEpName().equalsIgnoreCase("")){
            epData.setEpName("");
        }
        session.removeAttribute("design");
       
        src= true;

    }
    else if (epName != null) {
        try {
            epData = client.getAddressEndpoint(epName);
        }
        catch (Exception e) {
            // out.println(e.getMessage());
        }
    }
     /*
    if(session.getAttribute("sourceadd")!=null){
        String sesVal = (String)session.getAttribute("sourceadd");
        if(sesVal.equalsIgnoreCase("add")){

	    src=true;
            client.deleteEndpoint(epName);
	    session.removeAttribute("sourceadd");
        }
    }
      */
    if(epData!=null){
    if(session.getAttribute("edit"+epData.getEpName())!=null){
        src= false;
        }
    }

    epMode = (String)session.getAttribute("epMode");
    String anonEpXML = (String)session.getAttribute("anonEpXML");
    if (epMode != null && "anon".equals(epMode)) {
        // we are in anon mode now
        if (anonEpXML != null && !"".equals(anonEpXML)) {
            try {
                epData = EndpointAdminClient.getAddressEndpointData(anonEpXML);
            } catch (Exception e) {
                session.removeAttribute("anonEpXML");
       %><script type="text/javascript">
           CARBON.showErrorDialog("Unable to create endpoint with given data");
           window.location.href="AddressEndpoint.jsp";
       </script><%
            }
        }
    }
%>

<script type="text/javascript">
       //when the DOM is ready execute the methord
    YAHOO.util.Event.onDOMReady(init);

     function init() {
         if ('<%=epMode%>' != null && '<%=epMode%>' == 'anon') {
             document.getElementById('addname').style.display='none';
             document.getElementById('addnameLabel').style.display='none';
             document.getElementById('regExp').style.display='none';
         }
     }
</script>

<tr>
    <td>
        <table class="normal-nopadding">
            <tbody>

            <tr>

                <%if ((epData != null) && (epData.getEpName() != null) && src==false) {%>
                <td><div id="addnameLabel"><fmt:message key="name"/> <span class="required">*</span></div></td>
                <td><input id="addname" type="text" value="<%=epData.getEpName()%>" disabled="disabled"/>
                    <input type="hidden" name="Name" value="<%=epData.getEpName()%>"/>
                    <input type="hidden" name="editName" value="<%=epData.getEpName()%>"/>
                </td>
                <%}else if(src){%>
                <td><div id="addnameLabel"><fmt:message key="name"/> <span class="required">*</span></div></td>
                <td><input id="addname" type="text" name="Name" value="<%=epData.getEpName()%>" onkeypress="return validateText(event);"/></td>
                <%}else {%>
                <td><div id="addnameLabel"><fmt:message key="name"/> <span class="required">*</span></div></td>
                <td><input id="addname" type="text" name="Name" value="" onkeypress="return validateText(event);"/></td>
                <%}%>
            </tr>
            <%if ((epData != null) && epData.getAddress() != null) {%>
            <tr>
                <td><fmt:message key="address"/> <span class="required">*</span></td>
                <td><input id="address" type="text" name="Address" value="<%=epData.getAddress()%>"/></td>
            </tr>

            <%} else {%>
            <tr>
                <td><fmt:message key="address1"/> <span class="required">*</span></td>
                <td><input id="address" type="text" name="Address" value=""/></td>
            </tr>
            <%}%>

            <%
                String formatName = null;

                if ((epData != null)) {
                    if (epData.getPox()) {
                        formatName = "Plain Old XML (POX)";
                    } else if (epData.getRest()) {
                        formatName = "REpresentational State Transer (REST/GET)";
                    } else if (epData.getSoap11()) {
                        //out.println("Soap var = "+epData.getSoap11());
                        formatName = "SOAP 1.1";
                    } else if (epData.getSoap12()) {
                        formatName = "SOAP 1.2";
                    } else {
                        formatName = "Leave As-Is";
                    }
                }
                //out.println("format name = "+formatName);
                String[] formatArr = new String[5];
                if (formatName != null) {


                    formatArr[0] = formatName;
                    int j = 0;
                    for (int i = 0; i < format.length; i++) {
                        if (!(format[i].equalsIgnoreCase(formatArr[0]))) {
                            formatArr[++j] = format[i];
                        }
                    }
                    //   format = formatArr;
                }%>
            <%if (formatName != null) {%>
            <tr>
                <td class="leftCol-small"><fmt:message key="format"/></td>
                <td><select id="format" name="Format">
                    <option><%=formatArr[0]%>
                    </option>
                    <option><%=formatArr[1]%>
                    </option>
                    <option><%=formatArr[2]%>
                    </option>
                    <option><%=formatArr[3]%>
                    </option>
                    <option><%=formatArr[4]%>
                    </option>
                </select></td>
            </tr>
            <%} else {%>
            <tr>
                <td class="leftCol-small"><fmt:message key="format"/></td>
                <td><select id="format" name="Format">


                    <option><%=format[0]%>
                    </option>
                    <option><%=format[1]%>
                    </option>
                    <option><%=format[2]%>
                    </option>
                    <option><%=format[3]%>
                    </option>
                    <option><%=format[4]%>
                    </option>
                </select></td>
            </tr>
            <%}%>
            <%

                String optimizeName = null;
                if (epData != null) {
                    if (epData.getSwa()) {
                        optimizeName = "SwA";
                    } else if (epData.getMtom()) {
                        optimizeName = "MTOM";
                    } else {
                        optimizeName = "Leave As-Is";
                    }
                }
                String[] optimizeArr = new String[3];


                if (optimizeName != null) {

                    optimizeArr[0] = optimizeName;
                    int k = 0;
                    for (int i = 0; i < optimize.length; i++) {
                        if (!(optimize[i].equalsIgnoreCase(optimizeArr[0]))) {
                            optimizeArr[++k] = optimize[i];
                        }
                    }
                    //optimize = optimizeArr;
                }

            %>
            <%if (optimizeName != null) {%>
            <tr>
                <td><fmt:message key="optimize"/></td>
                <td><select id="optimize" name="Optimize">
                    <option><%=optimizeArr[0]%>
                    </option>
                    <option><%=optimizeArr[1]%>
                    </option>
                    <option><%=optimizeArr[2]%>
                    </option>
                </select>
                </td>
                </tr>
                    <%}else{%>
            <tr>
                <td><fmt:message key="optimize"/></td>
                <td><select id="optimize" name="Optimize">
                    <option><%=optimize[0]%>
                    </option>
                    <option><%=optimize[1]%>
                    </option>
                    <option><%=optimize[2]%>
                    </option>
                </select>
                </td>
            </tr>
            <%}%>

            <tr>
                <td colspan="2" class="sub-header"><fmt:message key="suspend"/></td>
            </tr>

            <%if ((epData != null) && epData.getErrorCodes() != null) {%>
            <tr>
                <td><fmt:message key="error.codes"/></td>
                <td><input type="text" id="errCodes" name="errCodes" value="<%=epData.getErrorCodes().trim()%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="error.codes"/></td>
                <td><input type="text" id="errCodes" name="errCodes" value=""/></td>
            </tr>
            <%}%>

            <%
                long duration = -1;
                if ((epData != null)) {
                    duration = epData.getSuspendDurationOnFailure();

                }
                if (duration >= 0) {

            %>
            <tr>
                <td><fmt:message key="intial.duration.millis"/></td>
                <td><input type="text" id="durSec" name="DurationSec" value="<%=duration%>"/></td>
            </tr>
            <%
            } else {
            %>
            <tr>
                <td><fmt:message key="inital.duration.millis"/></td>
                <td><input type="text" id="durSec" name="DurationSec" value=""/></td>
            </tr>
            <%}%>

            <%
                long maxDur = -1;
                if (epData != null) {
                    maxDur = epData.getMaxSusDuration();
                }
                if (maxDur >= 0 && maxDur < Long.MAX_VALUE) {
            %>
            <tr>
                <td><fmt:message key="max.duration.millis"/></td>
                <td><input type="text" id="maxDur" name="maxDur" value="<%=maxDur%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="max.duration.millis"/></td>
                <td><input type="text" id="maxDur" name="maxDur" value="0"/></td>
            </tr>
            <%}%>
            <%
                float factor = -1;
                if (epData != null) {
                    factor = epData.getSusProgFactor();
                }
                if (factor >= 0.0) {
            %>
            <tr>
                <td><fmt:message key="factor"/></td>
                <td><input type="text" id="factor" name="factor" value="<%=factor%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="factor"/></td>
                <td><input type="text" id="factor" name="factor" value="1.0"/></td>
            </tr>
            <%}%>


            <tr>
                <td colspan="2" class="sub-header"><fmt:message key="on.timedout"/></td>
            </tr>
            <%if (epData != null && epData.getTimdedOutErrorCodes() != null) { %>
            <tr>
                <td><fmt:message key="error.codes"/></td>
                <td><input type="text" id="timoutErr" name="timoutErr" value="<%=epData.getTimdedOutErrorCodes().trim()%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="error.codes"/></td>
                <td><input type="text" id="timoutErr" name="timoutErr" value=""/></td>
            </tr>
            <%}%>
            <%
                int retry = -1;
                if (epData != null) {
                    retry = epData.getRetryTimeout();
                }
                if (retry > 0) {
            %>
            <tr>
                <td><fmt:message key="retry"/></td>
                <td><input type="text" id="retry" name="retry" value="<%=retry%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="retry"/></td>
                <td><input type="text" id="retry" name="retry" value=""/></td>
            </tr>
            <%}%>
            <%
                int retryDelay = -1;
                if (epData != null) {
                    retryDelay = epData.getRetryDelay();
                }
                if (retryDelay > 0) {
            %>
            <tr>
                <td><fmt:message key="retry.delay.millis"/></td>
                <td><input type="text" id="retryDelay" name="retryDelay" value="<%=retryDelay%>"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="retry.delay.millis"/></td>
                <td><input type="text" id="retryDelay" name="retryDelay" value=""/></td>
            </tr>
            <%}%>

            <tr>
                <td><fmt:message key="timeout"/></td>
                <td><%

                    int actionVal = 0;
                    String[] newActionArr = new String[3];
                    String actName = null;
                    if ((epData != null)) {
                        actionVal = epData.getTimeoutAct();


                        if (actionVal == 100) {
                            actName = bundle.getString("action.never.timeout");
                            //newActionArr[1] = "Discard Message";
                            //newActionArr[2] = "Execute fault sequence";
                        } else if (actionVal == 101) {
                            actName = bundle.getString("action.discard.message");
                            //newActionArr[0] = "Discard Message";
                            //newActionArr[1] = "Never timeout";
                            //newActionArr[2] = "Execute fault sequence";
                        } else {
                            actName = bundle.getString("action.execute.fault.sequence");
                            //newActionArr[0] = "Execute fault sequence";
                            //newActionArr[1] = "Never timeout";
                            //newActionArr[2] = "Discard Message";
                        }
                        int u = 0;
                        newActionArr[0] = actName;
                        for (int i = 0; i < actionArr.length; i++) {
                            if (!(actionArr[i].equalsIgnoreCase(newActionArr[0]))) {
                                newActionArr[++u] = actionArr[i];
                            }
                        }
                        // actionArr = newActionArr;
                    }


                %></td>
            </tr>


            <tr>
                <td>
                    <div class="indented"><fmt:message key="action"/></div>
                </td>
                <td>
                    <%if (actName != null) {%>
                    <select id="Action" name="Action" onchange="checkAction(this)">
                        <option><%=newActionArr[0]%>
                        </option>
                        <option><%=newActionArr[1]%>
                        </option>
                        <option><%=newActionArr[2]%>
                        </option>
                    </select>
                    <%} else {%>
                    <select id="Action" name="Action" onchange="checkAction(this)">
                        <option><%=actionArr[0]%>
                        </option>
                        <option><%=actionArr[1]%>
                        </option>
                        <option><%=actionArr[2]%>
                        </option>
                    </select>
                    <%}%>
                </td>
            </tr>

            <%
                long actionDuration = 0;
                if ((epData != null)) {
                    if (actName != null) {

                        if ((!(newActionArr[0].equalsIgnoreCase(bundle.getString("action.never.timeout")))))
                            actionDuration = epData.getTimeoutActionDur();
                    } else if ((!(actionArr[0].equalsIgnoreCase(bundle.getString("action.never.timeout"))))) {
                        actionDuration = epData.getTimeoutActionDur();
                    }
                    //actionDuration = (actionDuration / 1000);
                    //out.println("action duration = "+actionDuration);

            %>
            <%if (newActionArr[0].equalsIgnoreCase(bundle.getString("action.never.timeout"))) {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="duration.millis"/></div>
                </td>
                <td><input id="actDur" type="text" name="DurationInAction" value="<%=actionDuration%>" disabled="disabled"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="duration.millis"/></div>
                </td>
                <td><input id="actDur" type="text" name="DurationInAction" value="<%=actionDuration%>"/></td>
            </tr>
            <%}%>
            <%} else {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="duration.millis"/></div>
                </td>
                <td><input id="actDur" type="text" name="DurationInAction" value="0" disabled="disabled"/></td>
            </tr>
            <%}%>


            <tr><td colspan="2" class="sub-header">Qos</td></tr>
            <%if ((epData != null) && epData.getWsadd()) {%>

            <tr>
                <td><fmt:message key="ws.addressing"/></td>
                <td><input type="checkbox" id="wsAddEnable" name="wsAddEnable" value="checked" checked="checked"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="ws.addressing"/></td>
                <td><input type="checkbox" id="wsAddEnable" name="wsAddEnable" value="checked"/></td>
            </tr>
            <%}%>

            <%if ((epData != null) && (epData.getSepList())) {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="seperate.listener"/></div>
                </td>
                <td><input type="checkbox" id="sepLis" name="sepLis" value="checked" checked="checked"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="seperate.listener"/></div>
                </td>
                <td><input type="checkbox" id="sepLis" name="sepLis" value="checked"/></td>
            </tr>
            <%}%>

            <%if ((epData != null) && epData.getWssec()) {%>
            <tr>
                <td><fmt:message key="ws.security"/></td>
                <td><input type="checkbox" id="wsSec" name="wsSec" value="checked" checked="checked"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="ws.security"/></td>
                <td><input type="checkbox" id="wsSec" name="wsSec" value="checked"/></td>
            </tr>
            <%}%>


            <%
                String secPolKey = null;

                if ((epData != null)) {
                    secPolKey = epData.getSecPolKey();
                }
                if (secPolKey != null) {
            %>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="policy.key"/></div>
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                <input type="text" id="polKey" name="polKey" value="<%=secPolKey%>" readonly="readonly" style="background-color:lightgray;"/>
                            </td>
                            <td>
                                <a href="#registryBrowserLink"
                                   class="registry-picker-icon-link"
                                   style="padding-left:40px"
                                   onclick="showInLinedRegistryBrowser('polKey')"><fmt:message key="registry.keys"/></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <%} else {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="policy.key"/></div>
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                <input type="text" id="polKey" name="polKey" value="" readonly="readonly" style="background-color:lightgray;"/>
                            </td>
                            <td>
                                <a href="#registryBrowserLink"
                                   class="registry-picker-icon-link"
                                   style="padding-left:40px"
                                   onclick="showInLinedRegistryBrowser('polKey')"><fmt:message key="registry.keys"/></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <%}%>

            <%if ((epData != null) && epData.getWsrm()) {%>
            <tr>
                <td><fmt:message key="ws.rm"/></td>
                <td><input type="checkbox" id="wsRm" name="wsRm" value="checked" checked="checked"/></td>
            </tr>
            <%} else {%>
            <tr>
                <td><fmt:message key="ws.rm"/></td>
                <td><input type="checkbox" id="wsRm" name="wsRm" value="checked"/></td>
            </tr>
            <%}%>

            <% String rmPolKey = null;
                if ((epData != null)) {
                    rmPolKey = epData.getRmPolKey();
                }
                if (rmPolKey != null) {
            %>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="policy.key"/></div>
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                <input type="text" id="rmpolKey" name="rmpolKey" value="<%=rmPolKey%>" readonly="readonly" style="background-color:lightgray;"/>
                            </td>
                            <td>
                                <a href="#registryBrowserLink"
                                   class="registry-picker-icon-link"
                                   style="padding-left:40px"
                                   onclick="showInLinedRegistryBrowser('rmpolKey')"><fmt:message key="registry.keys"/></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>

            <%} else {%>
            <tr>
                <td>
                    <div class="indented"><fmt:message key="policy.key"/></div>
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                <input type="text" id="rmpolKey" name="rmpolKey" value="" readonly="readonly" style="background-color:lightgray;"/>
                            </td>
                            <td>
                                <a href="#registryBrowserLink"
                                   class="registry-picker-icon-link"
                                   style="padding-left:40px"
                                   onclick="showInLinedRegistryBrowser('rmpolKey')"><fmt:message key="registry.keys"/></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <%}%>

            

            
            </tbody>
        </table>
    </td>
</tr>
<tr>

                <td class="buttonRow">
                    <input type="button" value="<fmt:message key="save"/>" class="button" name="save" onclick="submitData();"/>

                    <%--<input type="button" value="<fmt:message key="registry.export"/>" class="button" name="regExp" id="regExp"/>--%>

                    <input type="button" value="<fmt:message key="cancel"/>" name="cancel" class="button" onclick="cancelData();"/>
                </td>
            </tr>
</table>
</form>
</div>
</div>
</div>
</fmt:bundle>