<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@ page import="org.wso2.carbon.endpoint.ui.client.EndpointAdminClient" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="javax.xml.stream.XMLStreamException" %>
<%@ page import="javax.xml.namespace.QName" %>
<%@ page import="org.apache.axiom.om.OMAttribute" %><%
    String anonEpXML = request.getParameter("anonEpXML");
    String forwardTo = (String) session.getAttribute("anonOriginator") + "?originator=anonEpHandler.jsp";
    try {
        OMElement ele = EndpointAdminClient.createOMFromString(anonEpXML);
        // removes name attribute if any
        OMAttribute attr = ele.getAttribute(new QName("name"));
        if (attr != null) {
            ele.removeAttribute(attr);
        }
        anonEpXML = ele.toString();
        session.setAttribute("anonEpXML", anonEpXML);
    } catch (XMLStreamException e) {
        // todo handle error
    }
%>

<script type="text/javascript">
    window.location.href = '<%=forwardTo%>';
</script>