<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@page contentType="text/html" pageEncoding="UTF-8"
        import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.endpoint.tos.xsd.EndpointMetaData" %>
<%@ page import="org.wso2.carbon.endpoint.ui.client.EndpointAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<script type="text/javascript" src="../yui/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="../yui/build/container/container_core-min.js"></script>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.endpoints.ui.i18n.Resources">
<carbon:breadcrumb
        label="endpoints"
        resourceBundle="org.wso2.carbon.endpoints.ui.i18n.Resources"
        topPage="true"
        request="<%=request%>"/>
<div>
<%
    String epMode = null;
    if (request.getParameter("region") != null && request.getParameter("item") != null) {
        session.removeAttribute("epMode");
        session.removeAttribute("anonEpXML");
        session.removeAttribute("proxy");
        session.removeAttribute("header");
    } else {
        epMode = (String) session.getAttribute("epMode");
    }
%>
<%!
    String[] endpointNames = {"Address Endpoint", "WSDL Endpoint", "Failover group", "Load-balance group"};

%>
<script type="text/javascript">
    //when the DOM is ready execute the methord
    YAHOO.util.Event.onDOMReady(init);
     String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
String.prototype.ltrim = function() {
	return this.replace(/^\s+/,"");
}
String.prototype.rtrim = function() {
	return this.replace(/\s+$/,"");
}
    function init() {
        if ('<%=epMode%>' != null && '<%=epMode%>' == 'anon') {
            hideElem('myTable');
            hideElem('noEpLabel');
            showElem('btnRow');
        }
    }

    function hideElem(id) {
        var elem = document.getElementById(id);
        if (elem != undefined) {
            elem.style.display = 'none';
        }
    }

    function showElem(id) {
        document.getElementById(id).style.display = '';
    }

    function goBack() {
        <%
        String anonEpOriginator;
        if ((anonEpOriginator = (String)session.getAttribute("anonOriginator")) != null
            && !"".equals(anonEpOriginator)) {%>
            window.location.href = '<%=anonEpOriginator%>?cancelled=true';                
        <%}
        %>
    }

    function deleteRow(i) {
        var table = document.getElementById("myTable");
        var row = table.rows[i];
        var cell = row.cells[0];
        var content = cell.firstChild.nodeValue;
        function forwardToDel() {
            var tt = "endpointDeleteHandler.jsp?" + "endpointName=" + content.trim();
            document.location.href = tt
        }
        //var val = confirm("Do you want to delete the endpoint ?");
        CARBON.showConfirmationDialog("<fmt:message key="do.you.want.to.delete.the.endpoint"/>", forwardToDel);
        //if(val==true){
        // var tt = "endpointDeleteHandler.jsp?"+"endpointName="+content;
        // document.location.href=tt
        //}

    }


    function editRow(i) {
        var table = document.getElementById("myTable");
        var row = table.rows[i];
        var cell = row.cells[0];
        var type = row.cells[1];
        var content = cell.firstChild.nodeValue;
        var endType = type.firstChild.nodeValue;
         
        if (endType.trim() == 'Address Endpoint') {
             
            var tt = "AddressEndpoint.jsp?" + "endpointName=" + content.trim();
            document.location.href = tt
        }
        else if (endType.trim() == 'WSDL Endpoint') {
            var endT = "wsdlEndpoint.jsp?" + "endpointName=" + content.trim();
            document.location.href = endT
        }

        else if (endType.trim() == 'Failover group') {
                var failover = "failoverEditHandler.jsp?" + "endpointName=" + content.trim();
                document.location.href = failover
            }
            else if (endType.trim() == 'Load-balance group') {
                    var loadbalance = "loadbalanceEditHandler.jsp?" + "endpointName=" + content.trim();
                    document.location.href = loadbalance
                }

    }

    function movetoFailover() {
        var endT = "FailoverGroup.jsp?" + "from=" + "index";
        document.location.href = endT;
    }
    var req;

    function makeStatEnablerCall(endName, eleId, enaDis) {

        /*
         var table = document.getElementById("myTable");
         var row = table.rows[i];
         var cell = row.cells[0];
         var type = row.cells[1];
         var content = cell.firstChild.nodeValue;
         var endType = type.firstChild.nodeValue;
         var eleId = content+endType;
         */
        // var diseleId = 'disable'+content+endType;

        //var disele = document.getElementById(disele)
        //alert(ele.style.backgroundImage.URL.value);
        //alert(ele.style.backgroundImage.URL);
        var url;
        if (enaDis == 'enable') {
            var ele = document.getElementById('disable' + eleId);
            ele.style.display = '';
            var hidEle = document.getElementById('enable' + eleId);
            hidEle.style.display = 'none';
            url = 'statHandler-ajaxprocessor.jsp?endpointName=' + endName + '&' + 'action=disable' + '&' + 'rowName=' + eleId

        }
        else {
            var ele = document.getElementById('enable' + eleId);
            ele.style.display = '';
            var hidEle = document.getElementById('disable' + eleId);
            hidEle.style.display = 'none';
            url = 'statHandler-ajaxprocessor.jsp?endpointName=' + endName + '&' + 'action=enable' + '&' + 'rowName=' + eleId
        }
        /*
         if(ele.src.indexOf('../admin/images/static-icon-disabled.gif')>0){
         ele.src ='../admin/images/static-icon.gif'
         url = 'statHandler-ajaxprocessor.jsp?endpointName='+content+'&'+'action=enable'+'&'+'rowName='+eleId

         }
         else{
         ele.src='../admin/images/static-icon.gif'
         url = 'statHandler-ajaxprocessor.jsp?endpointName='+content+'&'+'action=disable'+'&'+'rowName='+eleId

         }

         */


        req = false;

        // branch for native XMLHttpRequest object
        if (window.XMLHttpRequest && !(window.ActiveXObject)) {
            try {
                req = new XMLHttpRequest();
            } catch(e) {
                req = false;

            }
            // branch for IE/Windows ActiveX version
        } else if (window.ActiveXObject) {
            try {
                req = new ActiveXObject("Msxml2.XMLHTTP");
            } catch(e) {
                try {
                    req = new ActiveXObject("Microsoft.XMLHTTP");
                } catch(e) {
                    req = false;
                }
            }
        }

        if (req) {
            req.onreadystatechange = processReqChange;
            req.open("GET", url, true);
            req.send("");
        }

    }
    function processReqChange() {
        // only if req shows "loaded"
        if (req.readyState == 4) {
            // only if "OK"

            if (req.status == 200) {

            } else {
                CARBON.showErrorDialog("There was a problem retrieving the XML data:\n" +
                                       req.statusText);
                CARBON.showErrorDialog(req.getResponseHeader())
            }
        }
    }
    function redirect(selNode) {
        var selected = selNode.options[selNode.selectedIndex].value;
        if (selected != "") {
            window.location.href = selNode.options[selNode.selectedIndex].value;
        }
    }
</script>
<div id="middle">
<h2><fmt:message key="manage.endpoints"/></h2>

<div id="workArea">
    <%--
    <%
      String lbname = null;
     lbname = request.getParameter("name");
      if(lbname!=null){
      if(request.getParameter("sesOptions")!=null){
          session.setAttribute(lbname+"sesType",request.getParameter("sesOptions"));
      }
      if(request.getParameter("sesTimeout")!=null){
          session.setAttribute(lbname+"sesTimeout",request.getParameter("sesTimeout"));
      }
      }

    %>--%>


<%
    String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(),
            session);

    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    // EndpointAdminStub stub = new EndpointAdminStub(configContext, url);
    EndpointAdminClient client = new EndpointAdminClient(cookie, url, configContext);


    EndpointMetaData[] endPoints = client.getEndpointMetaData();  //       stub.endpointData();


    if (endPoints == null) {
%>
<div id="noEpLabel"><fmt:message
        key="no.endpoints.are.currently.defined.click.add.endpoint.to.define.a.new.endpoint"></fmt:message>
<table><tr><td><br></td></tr></table></div>

<%}%>
   
<%if (endPoints != null) {%>
<table id="myTable" border="0" cellspacing="0" cellpadding="0" class="styledLeft">
    <thead>
    <tr>
        <th><fmt:message key="endpoint.name"/></th>
        <th><fmt:message key="type"/></th>
        <th><fmt:message key="action"/></th>
    </tr>
    </thead>
    <tbody>


    <%
        for (EndpointMetaData dao : endPoints) {
            EndpointMetaData end = dao;
    %>
    <tr>
        <td><%=end.getName()%>
        </td>
        <td><%=endpointNames[end.getType()]%>
        </td>
        <td><a onclick="editRow(this.parentNode.parentNode.rowIndex)" href="#"
               class="icon-link"
               style="background-image:url(../admin/images/edit.gif);"><fmt:message
                key="edit"/></a>

            <%if (session.getAttribute(end.getName() + endpointNames[end.getType()]) == null) {%>
            <%if ((endpointNames[end.getType()].equalsIgnoreCase("Failover group"))) {%>
            <%} else if ((endpointNames[end.getType()].equalsIgnoreCase("Load-balance group"))) {%>
            <%} else {%>
            <div>
                <div id="<%="disable"+end.getName()+endpointNames[end.getType()]%>">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','disable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon-disabled.gif;)">
                        &nbsp;<fmt:message key="statistics"/></a>
                </div>
                <div id="<%="enable"+end.getName()+endpointNames[end.getType()]%>"
                     style="display:none;">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','enable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon.gif;)">
                        &nbsp;<fmt:message
                            key="statistics"/></a>
                </div>
            </div>

            <%
                }
            } else if (((String) session.getAttribute(end.getName() + endpointNames[end.getType()])).equalsIgnoreCase("disabled")) {
            %>
            <%if ((endpointNames[end.getType()].equalsIgnoreCase("Failover group"))) {%>
            <%} else if ((endpointNames[end.getType()].equalsIgnoreCase("Load-balance group"))) {%>
            <%} else {%>
            <div>
                <div id="<%="disable"+end.getName()+endpointNames[end.getType()]%>">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','disable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon-disabled.gif;)">
                        &nbsp;<fmt:message key="statistics"/></a>
                </div>
                <div id="<%="enable"+end.getName()+endpointNames[end.getType()]%>"
                     style="display:none;">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','enable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon.gif;)">
                        &nbsp;<fmt:message
                            key="statistics"/></a>
                </div>
            </div>

            <%
                }
            } else if (((String) session.getAttribute(end.getName() + endpointNames[end.getType()])).equalsIgnoreCase("enabled")) {
            %>
            <%if ((endpointNames[end.getType()].equalsIgnoreCase("Failover group"))) {%>
            <%} else if ((endpointNames[end.getType()].equalsIgnoreCase("Load-balance group"))) {%>
            <%} else {%>
            <div>
                <div id="<%="disable"+end.getName()+endpointNames[end.getType()]%>"
                     style="display:none;">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','disable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon-disabled.gif;)">
                        &nbsp;<fmt:message key="statistics"/></a>
                </div>
                <div id="<%="enable"+end.getName()+endpointNames[end.getType()]%>">
                    <a onclick="makeStatEnablerCall('<%=end.getName()%>','<%=end.getName()+endpointNames[end.getType()]%>','enable')"
                       href="#" class="icon-link"
                       style="background-image:url(../admin/images/static-icon.gif;)">
                        &nbsp;<fmt:message
                            key="statistics"/></a>
                </div>
            </div>

            <%
                    }
                }
            %>
            <a onclick="deleteRow(this.parentNode.parentNode.rowIndex)" href="#"
               class="icon-link"
               style="background-image:url(../admin/images/delete.gif);"><fmt:message
                    key="delete"/></a>
        </td>
    </tr>

    <%}%>

    </tbody>
</table>
<%}%>

<table id="downOptions">
    <tr>
        <td>
            <a class="icon-link"
               href="AddressEndpoint.jsp"
               style="background-image: url(../admin/images/add.gif);">
                <fmt:message key="add.address.endpoint"/>
            </a>
        </td>
    </tr>
    <tr>
        <td>
            <a class="icon-link"
               href="wsdlEndpoint.jsp"
               style="background-image: url(../admin/images/add.gif);">
                <fmt:message key="add.wsdl.endpoint"/>
            </a>
        </td>
    </tr>
    <tr>
        <td>
            <a class="icon-link"
               href="failover.jsp"
               style="background-image: url(../admin/images/add.gif);">
                <fmt:message key="add.failover.endpoint1"/>
            </a>
        </td>
    </tr>
    <tr>
        <td>
            <a class="icon-link"
               href="loadbalance.jsp"
               style="background-image: url(../admin/images/add.gif);">
                <fmt:message key="add.load.balance.group"/>
            </a>
        </td>
    </tr>
    <tr><td><br></td></tr>
    <tr id="btnRow" style="display:none">
        <td colspan="2" class="buttonRow">
            <input id="cancelBtn" type="button" value="<fmt:message key="back"/>" class="button" onclick="goBack();return false"/>
        </td>
    </tr>
</table>



</div>
</div>
</div>
<script type="text/javascript">
    alternateTableRows('myTable', 'tableEvenRow', 'tableOddRow');
</script>
</fmt:bundle>