<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@page contentType="text/html" pageEncoding="UTF-8" %>
<%@ page import="org.wso2.carbon.endpoint.service.EndpointAdminStub" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.axis2.context.ConfigurationContextFactory" %>
<%@ page import="org.wso2.carbon.endpoint.tos.xsd.*" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="org.apache.axiom.*" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="java.io.*" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.endpoint.ui.client.EndpointAdminClient" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<%! public void doGet(HttpServletRequest req, HttpServletResponse res) {

    HttpSession session = req.getSession();
    ServletConfig config = getServletConfig();
    PrintWriter out = null;
    String msg=null;
    try {

        String name = req.getParameter("name");
        String epName = req.getParameter("epname");
        // String sesTimeout = req.getParameter("sesTimeout");
        // String sesType = req.getParameter("sesOptions");

        //session.setAttribute(name+"sesType",sesType);
        // session.setAttribute(name+"sesTimeout",sesTimeout);

        out = res.getWriter();

        if(epName==null || epName.equalsIgnoreCase("")){
            msg="The required field \' Name \' has not been filled in";
        }

        String payload = name.replaceAll("\\sid=\".*?\\d\"", "");

        // out.println(sesTimeout);
        //out.println(sesType);

        // out.println(payload);
        //out.println(">>>>>>>>>>>>>>>>>"+epName);

        String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(), session);

        ConfigurationContext configContext =
                (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        // EndpointAdminStub stub = new EndpointAdminStub(configContext, url);
        EndpointAdminClient client = new EndpointAdminClient(cookie, url, configContext);
        //  out.println(payload);
        if (client.isEndpointExist(epName)) {
            try {
                client.saveEndpoint(payload);
            }
            catch (Exception e) {
                msg = e.getMessage();
                //out.print(e.getMessage());
            }
        } else {
            try {
                
                client.addEndpoint(payload);
            }
            catch (Exception e) {
                msg = e.getMessage();
                
            }
        }

    }

    catch (Exception e) {
        //  out.println(e.getMessage());
    }

    if(msg==null){
        msg = "noerr";
    }
    out.println(msg);
}

%>


<%doGet(request, response); %>
