<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@ page import="javax.xml.stream.XMLStreamException" %>
<%@ page import="org.apache.axiom.om.OMAttribute" %>
<%@ page import="javax.xml.namespace.QName" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="java.io.ByteArrayInputStream" %>
<%@ page import="org.wso2.carbon.utils.xml.XMLPrettyPrinter" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.endpoints.ui.i18n.Resources">
    <carbon:breadcrumb
		label="load.balance.endpoint.source"
		resourceBundle="org.wso2.carbon.endpoints.ui.i18n.Resources"
		topPage="false"
		request="<%=request%>" />
    <div>
 <div id="middle">
<h2><fmt:message key="load.balance.endpoint.source"/></h2>

<div id="workArea">
    <script type="text/javascript">

        function cancelData() {<%
        String anonEpOriginator;
        if ((anonEpOriginator = (String)session.getAttribute("anonOriginator")) != null
            && !"".equals(anonEpOriginator)) {%>
             window.location.href = '<%=anonEpOriginator%>?cancelled=true';
         <%} else {%>
             window.location.href = 'index.jsp';
         <%}%>
        }

     function viewDesign(){
         document.xmlPayloadForm.action='loadbalance.jsp?ordinal=1';
         document.xmlPayloadForm.submit();
     }

     function trigerSave(epName) {

    var na = epName;
    var param = "name="+document.xmlPayloadForm.xmlpayload.value+"&"+"epname="+na;
    var url = 'loadbalanceEndpointCaller-ajaxprocessor.jsp'
    req = false;

        // branch for native XMLHttpRequest object
        if(window.XMLHttpRequest && !(window.ActiveXObject)) {
            try {
                req = new XMLHttpRequest();
            } catch(e) {
                req = false;

            }
        // branch for IE/Windows ActiveX version
        } else if(window.ActiveXObject) {
               try {
                req = new ActiveXObject("Msxml2.XMLHTTP");
              } catch(e) {
                try {
                      req = new ActiveXObject("Microsoft.XMLHTTP");
                } catch(e) {
                      req = false;
                }
            }
        }

        if(req) {
            req.onreadystatechange = processReqChange;

           // req.open("GET", url, true);
            req.open("POST", url, true)
            req.setRequestHeader("Content-type", "application/x-www-form-urlencoded")
            req.send(param)
            //req.send("");
        }
}
String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
String.prototype.ltrim = function() {
	return this.replace(/^\s+/,"");
}
String.prototype.rtrim = function() {
	return this.replace(/\s+$/,"");
}
function processReqChange() {
    // only if req shows "loaded"
    if (req.readyState == 4) {
        // only if "OK"

        if (req.status == 200) {
            //  alert(req.responseText)
           // var response = req.responseText;
           // alert(req.responseText.length);
            if(req.responseText.trim()=='noerr'){
              location.href="index.jsp";
            } else{
                CARBON.showWarningDialog(req.responseText.trim());
            }
        } else {
            CARBON.showErrorDialog("There was a problem retrieving the XML data:\n" +
                req.statusText);
            CARBON.showErrorDialog(req.getResponseHeader())
        }
    }
}
    </script>


    <%
        String srcPayload = request.getParameter("payload");
        OMElement ele = null;
        String epName = null;
        String epMode = null;
        try{
          ele = AXIOMUtil.stringToOM(srcPayload);
           OMAttribute nameAttr = ele.getAttribute(new QName("name"));
           epName = nameAttr.getAttributeValue();
           if ((epMode = (String) session.getAttribute("epMode")) != null && "anon".equals(epMode)) {
                // we are in anon mode
                // removes the name attribute from the element
                ele.removeAttribute(nameAttr);
                srcPayload = ele.toString();
            }
        }
        catch(XMLStreamException e){

        }
        ByteArrayInputStream stream = new ByteArrayInputStream(srcPayload.getBytes());
        XMLPrettyPrinter printer = new XMLPrettyPrinter(stream);
        srcPayload = printer.xmlFormat();


    %>
    <script type="text/javascript">

        function saveData() {
            if ('<%=epMode%>' != null && '<%=epMode%>' == 'anon') {
                // anon mode saving
                document.loadbalanceAnonHandlerForm.anonEpXML.value = document.xmlPayloadForm.xmlpayload.value;
                document.loadbalanceAnonHandlerForm.action = "anonEpHandler.jsp";
                document.loadbalanceAnonHandlerForm.submit();
            } else {
                trigerSave(arguments[0]);
            }
        }
    </script>

    <form action="" name="loadbalanceAnonHandlerForm" method="POST">
        <input type="hidden" name="anonEpXML"/>
    </form>
<form name="xmlPayloadForm" action="" method="POST">
    <table class="styledLeft">
    <tr>
        <td class="middle-header">
        <span style="float: left; position: relative; margin-top: 2px;"><fmt:message key="source.view.of.the.loadbalance.endpoint"/></span>
        <a href="#" class="icon-link" style="background-image: url(images/design-view.gif);" onclick="viewDesign();"> <fmt:message key="switch.to.design.view"/></a>
        </td>
    </tr>
    <tr><td><textarea id="xmlPay" name="xmlpayload" style="border: 0px solid rgb(204, 204, 204); width: 99%; height: 275px; margin-top: 5px;" rows="30"><%=srcPayload%></textarea></td></tr>
    <input type="hidden" name="epName" value="<%=epName%>"/> 
     <tr>

    <td class="buttonRow">
        <input type="button" value="<fmt:message key="save"/>" class="button" name="save" onclick="saveData('<%=epName%>');"/>
        <input type="button" value="<fmt:message key="cancel"/>" name="cancel" class="button" onclick="cancelData();"/>
    </td>
</tr>

  </table>
</form>
</div>
 </div>
    </div>
</fmt:bundle>