<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.endpoint.tos.xsd.*" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.endpoint.ui.client.EndpointAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="java.util.ResourceBundle" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.util.MissingResourceException" %>
<script type="text/javascript" src="../yui/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="../yui/build/container/container_core-min.js"></script>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.endpoints.ui.i18n.Resources">
    <carbon:breadcrumb
		label="wsdl.endpoint"
		resourceBundle="org.wso2.carbon.endpoints.ui.i18n.Resources"
		topPage="false"
		request="<%=request%>" />
<link type="text/css" rel="stylesheet" href="css/style.css"/>
<div>
         <%!
             
             private ResourceBundle bundle = null;
             private static String[] action = null;
         %>
         <%
Locale locale = request.getLocale();

try {
    bundle = ResourceBundle.getBundle("org.wso2.carbon.endpoints.ui.i18n.Resources", locale);
    action = new String[]{bundle.getString("action.never.timeout"), bundle.getString("action.discard.message"), bundle.getString("action.execute.fault.sequence")};
} catch (MissingResourceException e) {

}
%>
        <script type="text/javascript" src="../resources/js/resource_util.js"></script>
        <script type="text/javascript">
        function hideDiv() {
           // if(document.forms[0].wsdlUri.disabled=='disabled'){
            //   document.forms[0].wsdlUri.disabled='';
           // }
            //var wsdlURI = document.getElementById('wsdlURI').value;
           //wsdlURI.disabled='';
              var wsuriHide = document.getElementById('wsuri');
              var wsurivalHide = document.getElementById('wsurival');
              wsuriHide.style.display='';
              wsurivalHide.style.display='';
if (document.getElementById) { // DOM3 = IE5, NS6
document.getElementById('hideShow').style.display = 'none';
}
else {
if (document.layers) { // Netscape 4
document.hideShow.style.display = 'none';
}
else { // IE 4
document.hideShow.style.display = 'none';
}
}
}

function showDiv() {
//var wsdlURI = document.getElementById('wsdlURI');
//wsdlURI.disabled='disabled';

    document.forms[0].uri[0].checked="checked";
    var wsuriHide = document.getElementById('wsuri');
    var wsurivalHide = document.getElementById('wsurival');
    //if(document.forms[0].wsdlUri.disabled!='disabled'){
    //document.forms[0].wsdlUri.disabled="disabled";
    //}
    document.forms[0].wsdlUri.value="";
    wsuriHide.style.display='none';
    wsurivalHide.style.display='none';
    
if (document.getElementById) { // DOM3 = IE5, NS6
document.getElementById('hideShow').style.display = '';
}
else {
if (document.layers) { // Netscape 4
document.hideShow.style.display = '';
}
else { // IE 4
document.all.hideShow.style.display = '';
}
}
}
 function ValForm() {
   if(IsEmptyCheck(document.wsdlEndpointForm.Name))
   {
       if ('<%=(String)session.getAttribute("epMode")%>' == null) {
           CARBON.showWarningDialog('<fmt:message key="name.field.cannot.be.empty"/>')
           document.wsdlEndpointForm.Name.focus();
           return false;
       }
   }
   if(IsEmptyCheck(document.wsdlEndpointForm.wsdlUri)){
      // alert(form.uri.value)

       if (radioValue(document.forms[0].uri) != "InlinedWsdl"){

      CARBON.showWarningDialog('<fmt:message key="wsdl.uri.field.cannot.be.empty"/>')
      document.wsdlEndpointForm.wsdlUri.focus();
      return false;
       }
   }
   if(IsEmptyCheck(document.wsdlEndpointForm.service)){


      CARBON.showWarningDialog('<fmt:message key="service.field.cannot.be.empty"/>')
      document.wsdlEndpointForm.service.focus();
      return false;

   }
   if(IsEmptyCheck(document.wsdlEndpointForm.port)){
      CARBON.showWarningDialog('<fmt:message key="port.field.cannot.be.empty"/>')
      document.wsdlEndpointForm.port.focus();
      return false;
   }
   if (isNaN(document.wsdlEndpointForm.DurationSec.value)){
       CARBON.showWarningDialog('<fmt:message key="please.enter.a.numeric.value.to.the.suspend.duration.seconds.field"/>')
       document.wsdlEndpointForm.DurationSec.focus();
       return false;
   }
   if(isNaN(document.wsdlEndpointForm.DurationInAction.value)){
       CARBON.showWarningDialog('<fmt:message key="please.enter.a.numeric.value.to.the.timeout.duration.seconds.field"/>')
       document.wsdlEndpointForm.DurationInAction.focus();
       return false;
   }
     var valueId = document.getElementById("inlineprop_value");
      if (radioValue(document.forms[0].uri) == "InlinedWsdl"){
          if(validateWSDLEditor()){
         CARBON.showWarningDialog("<fmt:message key="invalid.wsdl.definition.xml.parse.error"/>");
         document.wsdlEndpointForm.inlineval.focus();
         return false;
          }
     }
return true;
}
function IsEmptyCheck(aTextField) {
   if ((aTextField.value.length==0) ||
   (aTextField.value==null)) {
      return true;
   }
    else { return false; }
}

function radioValue(radio) {
var i;
for (i=0; i<radio.length; i++)
if (radio[i].checked)
return radio[i].value;
// otherwise no radio button of the radio button group is selected
return "undefined";
}

function checkAction(selNode){
   var selected =selNode.options[selNode.selectedIndex].value;
       // alert(selected);
       // var selectedVal = document.AddressEndpoint.Action.value
        var durTextField = document.getElementById("actDur");
        if(selected=='Never timeout'){
            durTextField.disabled = "disabled"
            durTextField.value = '0'
        }
       // if (selectedVal == 'Never timeout') {

         //   durTextField.disabled = "disabled"
        //    durTextField.value = '0'

       // }
        else {
            durTextField.disabled = ""
        }
}

function validateWSDLEditor(){
     var valueId = document.getElementById("inlineprop_value");
   //  var formm = document.getElementById("ff");


    //alert(valueId.value);
    var inlinevalue = null;
    if (valueId != null && valueId != undefined) {
        inlinevalue = valueId.value;
    }
    if (inlinevalue == null || inlinevalue == "") {
         //alert("Invalid WSDL definition: XML parse error");
         //document.forms[0].inlineval.focus();
       //   break;
         return true;
    }
    if (window.ActiveXObject) {
        try {
            var doc = new ActiveXObject("Microsoft.XMLDOM");
            doc.async = "false";
            var hasParse = doc.loadXML(inlinevalue);
            if (!hasParse) {
             //   alert("Invalid WSDL definition: XML parse error");
               //  document.forms[0].inlineval.focus();
                return true;
            }
        } catch (e) {
           // alert("Invalid WSDL definition: XML parse error");
            // document.forms[0].inlineval.focus();
            return true;
        }
    } else {
        var parser = new DOMParser();
        var dom = parser.parseFromString(inlinevalue, "text/xml");
        if (dom.documentElement.nodeName == "parsererror") {
           // alert("Invalid WSDL definition: XML parse error");
            //document.forms[0].inlineval.focus();
            return true;
        }
    }
  //  var wsdlObj = createesbelement(trim(inlinevalue)) ;
    var validWSDL = false ;

    if (valueId.value.indexOf("definitions") != -1) {
        validWSDL = true;
    } else if (valueId.value.indexOf("wsdl20:description") != -1) {
        validWSDL = true;
    }
    if (!validWSDL) {
       // alert("Invalid WSDL definition");
       //  document.forms[0].inlineval.focus();
        return true;
    }
    return false;
}

  

function submitData(){
	document.wsdlEndpointForm.action="wsdlEndpointCaller.jsp";
	//document.AddressEndpoint.onsubmit="ValidateForm()";
	if(ValForm()){
	document.wsdlEndpointForm.submit();
    }
}
        function cancelData() {
        <%
        String anonEpOriginator;
        if ((anonEpOriginator = (String)session.getAttribute("anonOriginator")) != null
            && !"".equals(anonEpOriginator)) {%>
            window.location.href = '<%=anonEpOriginator%>?cancelled=true';
        <%} else {%>
            window.location.href = 'index.jsp';
        <%}%>
        }

function submitSourceView(){
	document.wsdlEndpointForm.action="wsdlSourceView.jsp";
//if(ValForm()){
	document.wsdlEndpointForm.submit();
//}
}

</script>

  <div id="middle">

        <h2><fmt:message key="wsdl.endpoint"/></h2>

        <div id="workArea">

        <form name="wsdlEndpointForm" action="" method="POST">
        <table class="styledLeft">

          <thead>
    <tr>
        <th><span style="float: left; position: relative; margin-top: 2px;"><fmt:message key="design.view.of.the.wsdl.endpoint"/></span><a class="icon-link"  style="background-image: url(images/source-view.gif);" onclick="submitSourceView()" href="#"><fmt:message key="switch.to.source.view"/></a>
</th>
    </tr>
</thead>
<tr>
<td>
<table class="normal-nopadding" >

       <% String epName = request.getParameter("endpointName");
           if (epName != null) {
               session.setAttribute("edit" + epName, "true");
           }

           String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(),
                   session);

           ConfigurationContext configContext =
                   (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
           String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
           // EndpointAdminStub stub = new EndpointAdminStub(configContext, url);
           EndpointAdminClient client = new EndpointAdminClient(cookie, url, configContext);
           WSDLEndpointData epData = null;
            boolean src = false;
           if(session.getAttribute("design")!=null){
                 epData =(WSDLEndpointData)session.getAttribute("design");
               if(epData.getEpName().equalsIgnoreCase("")){
            epData.setEpName("");
        }
               session.removeAttribute("design");
               if(request.getParameter("endpointName")==null){
               src= true;
               }
           }
           else if (epName != null) {
               epData = client.getWSDLEndpoint(epName);//stub.getdlEndpoint(epName);
               // out.println(stub.getWSDLEndpoint(epName));
           }
            if(epData!=null){
    if(session.getAttribute("edit"+epData.getEpName())!=null){
        src= false;
        }
    }
           String epMode = (String)session.getAttribute("epMode");
           String anonEpXML = (String)session.getAttribute("anonEpXML");
           if (epMode != null && "anon".equals(epMode)) {
               // we are in anon mode now
               if (anonEpXML != null && !"".equals(anonEpXML)) {
                   try {
                       epData = EndpointAdminClient.getWsdlEndpointData(anonEpXML);
                   } catch (Exception e) {
                       session.removeAttribute("anonEpXML");
       %><script type="text/javascript">
           CARBON.showErrorDialog("Unable to create endpoint with given data");
           window.location.href="wsdlEndpoint.jsp";
       </script>
                 <%}
               }
           }
       %>
       <script type="text/javascript">
           //when the DOM is ready execute the methord
           YAHOO.util.Event.onDOMReady(init);

           function init() {
               if ('<%=epMode%>' != null && '<%=epMode%>' == 'anon') {
                   document.getElementById('addname').style.display='none';
                   document.getElementById('regExp').style.display='none';
                   document.getElementById('addnameLabel').innerHTML="";
               }
           }
       </script>
          
          <%if((epData!=null) && (epData.getEpName()!=null) && src==false){%>
       <tr><td id="addnameLabel" class="leftCol-small"><fmt:message key="name"/> <span class="required">*</span></td>
           <td><input id="addname" type="text" value="<%=epData.getEpName()%>" disabled="disabled"/>
               <input type="hidden" name="Name" value="<%=epData.getEpName()%>"/>
       </td></tr>
             <%}else if(src==true){%>
             <tr><td id="addnameLabel" class="leftCol-small"><fmt:message key="name"/> <span class="required">*</span></td><td><input id="addname" type="text" name="Name" value="<%=epData.getEpName()%>" onkeypress="return validateText(event);"/></td></tr>
            <%}else{%>
       <tr><td id="addnameLabel" class="leftCol-small"><fmt:message key="name"/> <span class="required">*</span></td><td><input id="addname" type="text" name="Name" value="" onkeypress="return validateText(event);"/></td></tr>

            <%}%>
            <%--Inlined wsdl editor not done, after completion should check for inlined text as well--%>
           <tr><td class="leftCol-small"><fmt:message key="specify"/> As</td>
           <td><input type="radio" name="uri" value="InlinedWsdl" onclick="showDiv()" /> In-lined WSDL <input type="radio" name="uri" value="URI" checked="checked" onclick="hideDiv()"/> URI </td></tr>
           <tr><td class="leftCol-small"></td><td><div id="hideShow" style="display:none;">
               <%if(epData!=null && (epData.getInLineWSDL()!=null)){%>
               <textarea id="inlineprop_value" name="inlineval" rows="10" cols="50"><%=epData.getInLineWSDL()%></textarea>
        <%}else{%>
        <textarea id="inlineprop_value" name="inlineval" rows="10" cols="50"></textarea>
       <%}%>
       </div></td></tr>
       <% String uriVal = null;
                if((epData!=null)){
                uriVal = epData.getEpUri();
                }
               if(uriVal!=null){
            %>
       <tr><td class="leftCol-small"><div id="wsuri"><fmt:message key="wsdl.uri"/> <span class="required">*</span></div></td><td><div id="wsurival"><input type="text" id="wsdlUri" name="wsdlUri" value="<%=uriVal%>"/></div></td></tr>
          
            <%}else{%>
       <tr><td class="leftCol-small"><div id="wsuri"><fmt:message key="wsdl.uri"/> <span class="required">*</span></div></td><td><div id="wsurival"><input type="text" id="wsdlUri" name="wsdlUri" value=""/></div></td></tr>
       <%}%>
            <% String serviceStr = null;
                if((epData!=null)){
                serviceStr = epData.getEpServ();
                }
               if(serviceStr!=null){
            %>
       <tr><td class="leftCol-small"><fmt:message key="service"/> <span class="required">*</span></td><td><input type="text" id="service" name="service" value="<%=serviceStr%>"/></td></tr>

            <%}else{%>
       <tr><td class="leftCol-small"><fmt:message key="service"/> <span class="required">*</span></td><td><input type="text" id="service" name="service" value=""/></td></tr>

            <%}%>
            <% String port = null;
                if((epData!=null)){
                port = epData.getEpPort();
                }
               if(port!=null){
            %>
       <tr><td class="leftCol-small"><fmt:message key="port"/> <span class="required">*</span></td><td><input type="text" id="port" name="port" value="<%=port%>"/></td></tr>

            <%}else{%>
       <tr><td class="leftCol-small"><fmt:message key="port"/> <span class="required">*</span></td><td><input type="text" id="port" name="port" value=""/></td></tr>

            <%}%>
          
      
       <tr><td colspan="2" class="sub-header"><fmt:message key="suspend"/></td></tr>
        <%if((epData!=null) && epData.getEperrorCodes()!=null){%>
        <tr><td class="leftCol-small"><fmt:message key="error"/> Codes</td><td><input type="text" id="errCodes" name="errCodes" value="<%=epData.getEperrorCodes().trim()%>"/></td></tr>
       <%}else{%>
        <tr><td class="leftCol-small"><fmt:message key="error"/> Codes</td><td><input type="text" id="errCodes" name="errCodes" value=""/></td></tr>
       <%}%>

     <%
          long duration = -1;
         if((epData!=null)){
          duration = epData.getEpDur();

         }
         if(duration >=0){

     %>
     <tr><td class="leftCol-small"><fmt:message key="intial.duration.mills"/></td><td><input type="text" id="DurationSec" name="DurationSec" value="<%=duration%>"/></td></tr>
  <%}else{
     %>
      <tr><td class="leftCol-small"><fmt:message key="inital.duration.mills"/></td><td><input type="text" id="DurationSec" name="DurationSec" value=""/></td></tr>
     <%}%>

     <%
        long maxDur = -1;
         if(epData!=null){
             maxDur = epData.getEpmaxSusDuration();
         }
         if(maxDur >=0 && maxDur< Long.MAX_VALUE){
     %>
     <tr><td class="leftCol-small"><fmt:message key="max.duration.mills"/></td><td><input type="text" id="maxDur" name="maxDur" value="<%=maxDur%>"/></td></tr>
     <%}else{%>
     <tr><td class="leftCol-small"><fmt:message key="max.duration.mills"/></td><td><input type="text" id="maxDur" name="maxDur" value="0"/></td></tr>
     <%}%>
     <%
        float factor = -1;
         if(epData!=null){
             factor = epData.getEpsusProgFactor();
         }
         if(factor>=0.0){
     %>
     <tr><td class="leftCol-small"><fmt:message key="factor"/></td><td><input type="text" id="factor" name="factor" value="<%=factor%>"/></td></tr>
     <%}else{%>
     <tr><td class="leftCol-small"><fmt:message key="factor"/></td><td><input type="text" id="factor" name="factor" value="1.0"/></td></tr>
     <%}%>
       
         
     <tr><td colspan="2" class="sub-header"><fmt:message key="on.timedout"/></td></tr>
     <%if(epData!=null && epData.getEptimdedOutErrorCodes()!=null){ %>
     <tr><td class="leftCol-small"><fmt:message key="error.codes"/></td><td><input type="text" id="timoutErr" name="timoutErr" value="<%=epData.getEptimdedOutErrorCodes().trim()%>"/></td></tr>
     <%}else{%>
     <tr><td class="leftCol-small"><fmt:message key="error.codes"/></td><td><input type="text" id="timoutErr" name="timoutErr" value=""/></td></tr>
     <%}%>
           <%
        int retry = -1;
         if(epData!=null){
             retry = epData.getEpretryTimeout();
         }
         if(retry >0){
     %>
     <tr><td class="leftCol-small"><fmt:message key="retry"/></td><td><input type="text" id="retry" name="retry" value="<%=retry%>"/></td></tr>
     <%}else{%>
     <tr><td class="leftCol-small"><fmt:message key="retry"/></td><td><input type="text" id="retry" name="retry" value=""/></td></tr>
     <%}%>
     <%
        int retryDelay = -1;
         if(epData!=null){
             retryDelay = epData.getEpretryDelay();
         }
         if(retryDelay>0){
     %>
     <tr><td class="leftCol-small"><fmt:message key="retry.delay.millis"/></td><td><input type="text" id="retryDelay" name="retryDelay" value="<%=retryDelay%>"/></td></tr>
     <%}else{%>
     <tr><td class="leftCol-small"><fmt:message key="retry.delay.millis"/></td><td><input type="text" id="retryDelay" name="retryDelay" value=""/></td></tr>
     <%}%>
    
       <tr><td class="sub-header" colspan="2"><fmt:message key="timeout"/></td></tr>


            <%
                int actionVal = 0 ;
                String[] newActionArr = new String[3];
                String actName = null;
         if((epData!=null)){
         actionVal = epData.getEpwsdlTimeoutAction();



        if(actionVal==100){
            actName = bundle.getString("action.never.timeout");
            //newActionArr[1] = "Discard Message";
            //newActionArr[2] = "Execute fault sequence";
        }
        else if(actionVal==101){
            actName = bundle.getString("action.discard.message");
            //newActionArr[0] = "Discard Message";
            //newActionArr[1] = "Never timeout";
            //newActionArr[2] = "Execute fault sequence";
        }
        else{
            actName = bundle.getString("action.execute.fault.sequence");
            //newActionArr[0] = "Execute fault sequence";
            //newActionArr[1] = "Never timeout";
            //newActionArr[2] = "Discard Message";
        }
             int u = 0;
             newActionArr[0] =actName;
                 for(int i=0;i<action.length;i++){
            if(!(action[i].equalsIgnoreCase(newActionArr[0]))){
                newActionArr[++u] = action[i];
            }
        }
       //  action = newActionArr;
         }


     %>
       <%if(actName!=null){%>
<tr><td class="leftCol-small"><div class="indented"><fmt:message key="action"/></div></td><td><select id="Action" name="Action" onchange="checkAction(this)">
<option><%=newActionArr[0]%></option>
<option><%=newActionArr[1]%></option>
<option><%=newActionArr[2]%></option>
</select></td></tr>
       <%}else{%>
<tr><td class="leftCol-small"><div class="indented"><fmt:message key="action"/></div></td><td><select id="Action" name="Action" onchange="checkAction(this)">
<option><%=action[0]%></option>
<option><%=action[1]%></option>
<option><%=action[2]%></option>
</select></td></tr>
       <%}%>



            <%
          long actionDuration =0;
          if((epData!=null)){

              if(actName!=null){
                  if(!(newActionArr[0].equalsIgnoreCase("Never timeout"))){
                        actionDuration = epData.getEpactionDuration();
                  }
              }
              else if(!(action[0].equalsIgnoreCase("Nevet timeout"))){
                        actionDuration = epData.getEpactionDuration();
              }


           //   actionDuration = actionDuration / 1000;
     %>
       <%%>
       <%if(newActionArr[0].equalsIgnoreCase("Never timeout")){%>
       <tr><td class="leftCol-small"><div class="indented"><fmt:message key="duration.millis"/></div></td><td><input id="actDur" type="text" name="DurationInAction" value="<%=actionDuration%>" disabled="disabled"/></td></tr>
        <%}else{%>
        <tr><td class="leftCol-small"><div class="indented"><fmt:message key="duration.millis"/></div></td><td><input id="actDur" type="text" name="DurationInAction" value="<%=actionDuration%>"/></td></tr>
       <%}%>
       <%}else{%>
       <tr><td class="leftCol-small"><div class="indented"><fmt:message key="duration.millis"/></div></td><td><input id="actDur" type="text" name="DurationInAction" value="0" disabled="disabled"/></td></tr>

       <%}%>
      
       <tr><td class="sub-header" colspan="2">Qos</td></tr>
       <%if((epData!=null) && (epData.getEpaddressingOn())){%>
       <tr><td class="leftCol-small"><fmt:message key="ws.addressing"/></td><td><input type="checkbox" id="wsAddEnable" name="wsAddEnable" value="checked" checked="checked"/></td></tr>

       <%}else{%>
       <tr><td class="leftCol-small"><fmt:message key="ws.addressing"/></td><td> <input type="checkbox" id="wsAddEnable" name="wsAddEnable" value="checked" /></td></tr>

       <%}%>

       <%if((epData!=null) && (epData.getEpwsaddSepListener())){%>
       <tr><td class="leftCol-small"><div class="indented"><fmt:message key="seperate"/> Listener</div></td><td><input type="checkbox" id="sepLis" name="sepLis" value="checked" checked="checked" /></td></tr>

       <%}else{%>
       <tr><td class="leftCol-small"><div class="indented"><fmt:message key="seperate"/> Listener</div></td><td><input type="checkbox" id="sepLis" name="sepLis" value="checked" /></td></tr>

       <%}%>
       <%if((epData!=null) && (epData.getEpsecutiryOn())){%>
       <tr><td class="leftCol-small"><fmt:message key="ws.security"/></td><td><input type="checkbox" id="wsSec" name="wsSec" value="checked" checked="checked"/></td></tr>

       <%}else{%>
       <tr><td class="leftCol-small"><fmt:message key="ws.security"/></td><td><input type="checkbox" id="wsSec" name="wsSec" value="checked" /></td></tr>

       <%}%>

     <% String secPolKey = null;
         if((epData!=null)){
         secPolKey = epData.getEpwsdlSecutiryKey();
         }

        if(secPolKey!=null){
     %>
       <tr><td class="leftCol-small"><div class="indented"><fmt:message key="policy.key"/></div></td>
           <td>
               <table>
                   <tr>
                       <td>
                           <input type="text" id="polKey" name="polKey" value="<%=secPolKey%>" readonly="readonly" style="background-color:lightgray;"/>
                       </td>
                       <td>
                           <a href="#registryBrowserLink"
                              class="registry-picker-icon-link"
                              style="padding-left:40px"
                              onclick="showInLinedRegistryBrowser('polKey')"><fmt:message key="registry.keys"/></a>
                       </td>
                   </tr>
               </table>
           </td>
       </tr>

       <%}else{%>
       <tr>
           <td class="leftCol-small">
               <div class="indented"><fmt:message key="policy.key"/></div>
           </td>
           <td>
               <table>
                   <tr>
                       <td>
                           <input type="text" id="polKey" name="polKey" value="" readonly="readonly" style="background-color:lightgray;"/>
                       </td>
                       <td>
                           <a href="#registryBrowserLink"
                              class="registry-picker-icon-link"
                              style="padding-left:40px"
                              onclick="showInLinedRegistryBrowser('polKey');"><fmt:message key="registry.keys"/></a>
                       </td>
                   </tr>
               </table>
           </td>
       </tr>

       <%}%>


       <%if((epData!=null) && (epData.getEprelMesg())){%>
       <tr><td class="leftCol-small"><fmt:message key="ws.rm"/></td><td><input type="checkbox" id="wsRm" name="wsRm" value="checked" checked="checked"/></td></tr>
       <%}else{%>
       <tr><td class="leftCol-small"><fmt:message key="ws.rm"/></td><td><input type="checkbox" id="wsRm" name="wsRm" value="checked" /></td></tr>
       <%}%>

     <% String rmPolKey = null;
         if((epData!=null)){
        rmPolKey = epData.getEprmKey();
         }
        if(rmPolKey!=null){
     %>
       <tr>
           <td class="leftCol-small">
               <div class="indented"><fmt:message key="policy.key"/></div>
           </td>
           <td>
               <table>
                   <tr>
                       <td>
                           <input type="text" id="rmpolKey" name="rmpolKey" value="<%=rmPolKey%>" readonly="readonly" style="background-color:lightgray;"/>
                       </td>
                       <td>
                           <a href="#registryBrowserLink"
                              class="registry-picker-icon-link"
                              style="padding-left:40px"
                              onclick="showInLinedRegistryBrowser('rmpolKey');"><fmt:message key="registry.keys"/></a>
                       </td>
                   </tr>
               </table>
           </td>
       </tr>
       <%}else{%>
       <tr>
           <td class="leftCol-small">
               <div class="indented"><fmt:message key="policy.key"/></div>
           </td>
           <td>
               <table>
                   <tr>
                       <td>
                           <input type="text" id="rmpolKey" name="rmpolKey" value="" readonly="readonly" style="background-color:lightgray;"/>
                       </td>
                       <td>
                           <a href="#registryBrowserLink"
                              class="registry-picker-icon-link"
                              style="padding-left:40px"
                              onclick="showInLinedRegistryBrowser('rmpolKey');"><fmt:message key="registry.keys"/></a>
                       </td>
                   </tr>
               </table>
           </td>
       </tr>

       <%}
       if(epData!=null && (epData.getInLineWSDL()!=null)){%>
       <script type="text/javascript">
                   showDiv();
               </script>
       <%}%>
</table>
</td>
</tr>

       <tr><td class="buttonRow" ><input type="button" onclick="submitData();" class="button" value="<fmt:message key="save" />" name="save"  />

<%--<input type="button" class="button"  value="<fmt:message key="registry.export"/>" name="regExp" id="regExp" />--%>

<input type="button" class="button"  value="<fmt:message key="cancel"/>" name="cancel" onclick="cancelData();" /></td></tr>


   </table>
        </form>
</div>
</div>
</div>
</fmt:bundle>