<%@ page contentType="text/html" pageEncoding="UTF-8" import="java.util.*" %>
<%@ page import="org.wso2.carbon.localentry.dos.xsd.*" %>
<%@ page import="org.wso2.carbon.localentry.service.LocalEntryAdminServiceStub" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.axis2.context.ConfigurationContextFactory" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="org.apache.axiom.*" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.localentry.ui.client.LocalEntryAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.localentry.ui.i18n.Resources">
    <carbon:breadcrumb
            label="localentry"
            resourceBundle="org.wso2.carbon.localentry.ui.i18n.Resources"
            topPage="true"
            request="<%=request%>"/>

    <script type="text/javascript">
        function deleteRow(i) {
            var table = document.getElementById("myTable");
            var row = table.rows[i];
            var cell = row.cells[0];
            var content = cell.firstChild.nodeValue;
            //var epName=cell2.firstChild.nodeValue;
            function delEp() {
                var tt = "deleteEntriesHandler.jsp?" + "entryName=" + content;
                document.location.href = tt;
            }

            CARBON.showConfirmationDialog("<fmt:message key="do.you.want.to.delete.the.entry"/>", delEp);
            //document.getElementById('myTable').deleteRow(i)


        }
        String.prototype.trim = function() {
            return this.replace(/^\s+|\s+$/g, "");
        }
        String.prototype.ltrim = function() {
            return this.replace(/^\s+/, "");
        }
        String.prototype.rtrim = function() {
            return this.replace(/\s+$/, "");
        }
        function editRow(i) {
            var table = document.getElementById("myTable");
            var row = table.rows[i];
            var cell = row.cells[0];
            var type = row.cells[1];
            var content = cell.firstChild.nodeValue;
            var endType = type.firstChild.nodeValue;
            //  alert(endType.length);
            if (endType.trim() == 'Inline Text') {

                var tt = "inlinedText.jsp?" + "entryName=" + content;
                //document.getElementById('myTable').deleteRow(i)
                document.location.href = tt
            }
            else if (endType.trim() == 'Inline XML') {
                var endT = "inlinedXML.jsp?" + "entryName=" + content;
                document.location.href = endT
            }

            else {
                var endT = "sourceURL.jsp?" + "entryName=" + content;
                document.location.href = endT
            }

        }
        function redirect(selNode) {
            var selected = selNode.options[selNode.selectedIndex].value;
            if (selected != "")window.location.href = selNode.options[selNode.selectedIndex].value;
        }

    </script>

    <div id="middle">
        <h2><fmt:message key="manage.local.registry.entries"/></h2>

        <div id="workArea">


            <%

                String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(),
                        session);

                ConfigurationContext configContext =
                        (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

                String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
                LocalEntryAdminClient client = new LocalEntryAdminClient(cookie, url, configContext);


                EntryData[] localEntries = client.getEntryData();


                if (localEntries == null) {

            %>
            <fmt:message
                    key="no.entries.are.currently.defined.press.add.local.entry.to.define.a.new.entry.on.the.local.registry"/>

            <%} %>
           <%--
            <table>
                <tr>
                    <td>
                        <a class="icon-link"
                           href="inlinedText.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.in.lined.text"/>
                        </a>
                    </td>
                    <td>
                        <a class="icon-link"
                           href="inlinedXML.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.in.lined.xml"/>
                        </a>
                    </td>
                    <td>
                        <a class="icon-link"
                           href="sourceURL.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.source.url"/>
                        </a>
                    </td>
                </tr>
            </table>
            <br/>
            <br/>  --%>

            <%if (localEntries != null) {%>
            <table id="myTable" border="0" cellspacing="0" cellpadding="0" class="styledLeft">
                <thead>
                <tr>
                    <th><fmt:message key="enntry.name"/></th>
                    <th><fmt:message key="type"/></th>
                    <th><fmt:message key="action"/></th>
                </tr>
                </thead>
                <tbody>

                <% for (EntryData dao : localEntries) {
                    EntryData entry = dao;
                %>

                <tr>

                    <td><%= entry.getName()%>
                    </td>
                    <td><%= entry.getType()%>
                    </td>
                    <td><a onclick="editRow(this.parentNode.parentNode.rowIndex)" href="#"
                           class="icon-link"
                           style="background-image:url(../admin/images/edit.gif);"><fmt:message
                            key="edit"/></a>
                        <a href="#" onclick="deleteRow(this.parentNode.parentNode.rowIndex)"
                           id="delete_link" class="icon-link"
                           style="background-image:url(../admin/images/delete.gif);"><fmt:message
                                key="delete"/></a>
                    </td>

                </tr>

                <%}%>


                </tbody>
            </table>
            <%}%>
            <br/>
            <br/>

            <table>
                <tr>
                    <td>
                        <a class="icon-link"
                           href="inlinedText.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.in.lined.text"/>
                        </a>
                    </td>
                    <td>
                        <a class="icon-link"
                           href="inlinedXML.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.in.lined.xml"/>
                        </a>
                    </td>
                    <td>
                        <a class="icon-link"
                           href="sourceURL.jsp"
                           style="background-image: url(../admin/images/add.gif);">
                            <fmt:message key="add.source.url"/>
                        </a>
                    </td>
                </tr>
            </table>
           
        </div>
    </div>
    <script type="text/javascript">
        alternateTableRows('myTable', 'tableEvenRow', 'tableOddRow');
    </script>
</fmt:bundle>