<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %>
<%@ page import="org.apache.synapse.Mediator" %>
<%@ page import="org.apache.synapse.mediators.filters.OutMediator" %>
<%@ page import="org.wso2.carbon.sequences.ui.util.SequenceEditorHelper" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%
    Mediator mediator = SequenceEditorHelper.getEditingMediator(request, session);
    if (!(mediator instanceof OutMediator)) {
        // todo : proper error handling
        throw new RuntimeException("Unable to edit the mediator");
    }
    OutMediator outMediator = (OutMediator) mediator;
%>

<fmt:bundle basename="org.wso2.carbon.mediator.out.ui.i18n.Resources">
	<table class="normal" width="100%">
		<tr>
			<td>
			<h2><fmt:message key="out.mediator" /></h2>
			</td>
		</tr>
		<tr>
			<td><fmt:message key="out.mediator.info" /></td>
		</tr>
		<tr>
			<td><fmt:message key="out.mediator.congiguration.info" /></td>
		</tr>
		<tr>
			<td><fmt:message key="out.mediator.children.info" /></td>
		</tr>
	</table>

</fmt:bundle>