<%@ page import="org.wso2.carbon.registry.ui.resource.processors.RestoreVersionProcessor" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.Utils" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%
    String resourcePath = request.getParameter("path");
    String resourceConsumer = Utils.getResourceConsumer(request);
    String viewMode = Utils.getResourceViewMode(request);
    String targetDivID = Utils.getTargetDivID(request);       
    String errorMessage = null;
    try {
        String version = RestoreVersionProcessor.process(request, response, config);

        CarbonUIMessage carbonMessage = new CarbonUIMessage("Successfully restored to version : " + version, CarbonUIMessage.INFO);
        request.getSession().setAttribute(CarbonUIMessage.ID, carbonMessage);

    } catch (Exception e) {
        errorMessage = e.getMessage();
    }
%>

<% if (errorMessage != null) { %>

<script type="text/javascript">
	location.href='../error.jsp?errMsg=<%=errorMessage%>'
</script>

<% } %>
<% if ("inlined".equals(viewMode)) { %>
<jsp:forward page="../resources/resource_ajaxprocessor.jsp?path=<%=resourcePath%>&resourceViewMode=<%=viewMode%>&resourcePathConsumer=<%=resourceConsumer%>&targetDivID=<%=targetDivID%>"/>
<% } else { %>
<script type="text/javascript">
	location.href='./resource.jsp?path=<%=resourcePath%>'
</script>
<% } %>