<%@ page import="org.apache.axiom.om.impl.builder.StAXOMBuilder" %>
<%@ page import="java.io.ByteArrayInputStream" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="javax.xml.stream.XMLStreamException" %><%
    String anonEpAction = request.getParameter("anonEpAction");
    String anonEpXML;
    String forwardTo = "";

    if (anonEpAction != null && !"".equals(anonEpAction)) {
        // send path
        session.setAttribute("epMode", "anon");
        // sets the anonOriginator to .jsp. This will be the page to which result should be returned
        session.setAttribute("anonOriginator", "../sequences/design_sequence.jsp");

        if ("add".equals(anonEpAction)) {
            // going to add a new EP
            forwardTo = "../endpoints/index.jsp";
            // remove anonEpXML attribute from session if exists
            if (session.getAttribute("anonEpXML") != null) {
                session.removeAttribute("anonEpXML");
            }
        } else if ("edit".equals(anonEpAction)) {
            // going to modify the existing EP
            anonEpXML = (String) session.getAttribute("anonEpXML");
            if (anonEpXML != null && !"".equals(anonEpXML)) {
                try {
                    StAXOMBuilder builder = new StAXOMBuilder(new ByteArrayInputStream(anonEpXML.getBytes()));
                    OMElement elem = builder.getDocumentElement();
                    if ((elem = elem.getFirstElement()) != null) {
                        String localName = elem.getLocalName();
                        if ("address".equals(localName)) {
                            // current one is an address EP
                            forwardTo = "../endpoints/AddressEndpoint.jsp";
                        } else if ("wsdl".equals(localName)) {
                            // current one is an wsdl EP
                            forwardTo = "../endpoints/wsdlEndpoint.jsp";
                        } else if ("failover".equals(localName)) {
                            // current one is an failover EP
                            forwardTo = "../endpoints/failover.jsp";
                        } else if ("loadbalance".equals(localName) || "session".equals(localName)) {
                            // current one is an loadBalance EP
                            forwardTo = "../endpoints/loadbalance.jsp";
                        }
                    }
                } catch (XMLStreamException e) {
                    // todo - handle error
                }
                session.setAttribute("anonEpXML", anonEpXML);
            }
        }
    }

    response.sendRedirect(forwardTo);
%>




