<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %>
<%@ page import="org.apache.synapse.Mediator" %>
<%@ page import="org.apache.synapse.mediators.builtin.SendMediator" %>
<%@ page import="org.wso2.carbon.sequences.ui.util.SequenceEditorHelper" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.mediator.send.ui.client.SendClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.apache.synapse.endpoints.Endpoint" %>
<%@ page import="org.apache.synapse.config.xml.endpoints.EndpointFactory" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="org.apache.axiom.om.OMElement" %>

<%
    Mediator mediator = SequenceEditorHelper.getEditingMediator(request, session);
    if (!(mediator instanceof SendMediator)) {
        CarbonUIMessage.sendCarbonUIMessage("Unable to edit the mediator", CarbonUIMessage.ERROR, request);
%>
<script type="text/javascript">
    location.href = "../admin/error.jsp";
</script>
<%
        return;
    }
    SendMediator sendMediator = (SendMediator) mediator;

    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    SendClient client = new SendClient(
            configContext, backendServerURL, cookie, request.getLocale());

    // sets endpoint information
    String option = request.getParameter("epOp");
    if ("none".equals(option)) {
        sendMediator.setEndpoint(null);
        //removes session attribute if it is present
        session.removeAttribute("anonEpXML");
    } else if ("anon".equals(option)) {
        String anonEpXML = (String)session.getAttribute("anonEpXML");
         if (anonEpXML != null && !"".equals(anonEpXML) && !"Add".equals(request.getParameter("anonEpAction"))) {
             OMElement anonEpXMLElem = AXIOMUtil.stringToOM(anonEpXML);
             Endpoint endpoint = EndpointFactory.getEndpointFromElement(anonEpXMLElem,true);
             sendMediator.setEndpoint(endpoint);
             //removes session attribute after using it
             session.removeAttribute("anonEpXML");
          } 
    } else if ("registry".equals(option)) {
        String key = request.getParameter("registryKey");
        Endpoint endpoint = client.getEndpoint(key);
        sendMediator.setEndpoint(endpoint);
        //removes session attribute if it is present
        session.removeAttribute("anonEpXML");
    }
%>

<% if (SequenceEditorHelper.isRedirected(request)) { %>
<script type="text/javascript">
    document.location.href = "../sequences/design_sequence.jsp?ordinal=1";
</script>
<% } %>