<%
    String anonEpAction = request.getParameter("anonEpAction");
    String anonEpXML;
    String forwardTo = "";

    if (anonEpAction != null && !"".equals(anonEpAction)) {
        // send path
        session.setAttribute("epMode", "anon");
        // sets the anonOriginator to .jsp. This will be the page to which result should be returned
        session.setAttribute("anonOriginator", "../sequences/design_sequence.jsp");

        if ("add".equals(anonEpAction)) {
            // going to add a new EP
            forwardTo = "../endpoints/index.jsp";
            // remove anonEpXML attribute from session if exists
            if (session.getAttribute("anonEpXML") != null) {
                session.removeAttribute("anonEpXML");
            }
        } else if ("edit".equals(anonEpAction)) {
            // going to modify the existing EP
            anonEpXML = (String) session.getAttribute("anonEpXML");
            if (anonEpXML != null && !"".equals(anonEpXML)) {
                if (anonEpXML.indexOf("<syn:address") != -1) {
                    // current one is an address EP
                    forwardTo = "../endpoints/AddressEndpoint.jsp";
                } else if (anonEpXML.indexOf("<syn:wsdl") != -1) {
                    // current one is an wsdl EP
                    forwardTo = "../endpoints/wsdlEndpoint.jsp";
                } else if (anonEpXML.indexOf("<syn:failover") != -1) {
                    // current one is an failover EP
                    forwardTo = "../endpoints/failover.jsp";
                } else if (anonEpXML.indexOf("<syn:loadBalance") != -1) {
                    // current one is an loadBalance EP
                    forwardTo = "../endpoints/loadbalance.jsp";
                }
                session.setAttribute("anonEpXML", anonEpXML);
            }
        }
    }

    response.sendRedirect(forwardTo);
%>




