<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ConfigManagementClient" %>
<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ConfigClientConstants" %>
<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ResponseInformation" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<link href="../styles/main.css" rel="stylesheet" type="text/css" media="all"/>
<script type="text/javascript" src="global-params.js"></script>
<script type="text/javascript" src="configcommon.js"></script>

<fmt:bundle basename="org.wso2.carbon.mediation.configadmin.ui.i18n.Resources">
    <%
        String saveMode = request.getParameter("actionType");
        boolean update = "update".equals(saveMode);
        ConfigManagementClient client;
        try {
            client = ConfigManagementClient.getInstance(config, session);
            String xml = request.getParameter("rawConfig");
            if (xml != null && !"".equals(xml)) {
                ResponseInformation responseInformation;
                if (update) {
                    responseInformation = client.updateConfiguration(xml.trim(), session);
                    if (!responseInformation.isFault()) {
    %>
    <script type="text/javascript">
        document.location.href = 'index.jsp?status=updated';
    </script>
    <%

    } else {%>
    <script type="text/javascript">
        document.location.href = 'index.jsp?status=updatedFailed&errormsg='+'<%=responseInformation.getMessage()%>';
    </script>

    <%
        }
    } else {
        responseInformation = client.updateConfiguration(xml.trim(), session); // need to update if XML was edited before saving
        if (!responseInformation.isFault()) {
            responseInformation = client.saveConfigurationToDisk();
        }
        if (!responseInformation.isFault()) {
    %>

    <script type="text/javascript">
        document.location.href = 'index.jsp?status=saved';
    </script>
    <%

    } else {
    %>
    <script type="text/javascript">
        document.location.href = 'index.jsp?status=failed&errormsg='+'<%=responseInformation.getMessage()%>';
    </script>
    <%
                }

            }
        } else {
            throw new RuntimeException("Invalid configuration ");
        }
    } catch (Throwable e) {
        request.getSession().setAttribute(ConfigClientConstants.EXCEPTION, e);
        String path = "configerror.jsp";
    %>
    <script type="text/javascript">
        forward('<%=path%>');
    </script>
    <%
            return;
        }
    %>
    </div>
    </div>
</fmt:bundle>  