function getFFVersion(){
	var versionData = navigator.userAgent || navigator.appVersion;

	var index = versionData.indexOf("Firefox");
	var ffVersion = 0;
	if (index == -1) ffVersion = 0;
	ffVersion = parseFloat(versionData.substring(index+"Firefox".length+1));
	return ffVersion;
}
function showDiv(formId) {
	var inlineselect=document.getElementById(formId+"inlineselect");
	if(inlineselect.checked){
		document.getElementById(formId+"hideShow").style.display="";
		document.getElementById(formId + "uriRow").style.display="none";
	}else{
		document.getElementById(formId+"hideShow").style.display="none";
		document.getElementById(formId + "uriRow").style.display="";
	}
	
	var adduri = document.getElementById(formId+'endpoint_address0');

	adduri.value = "";
}
function getText(ele) {
    var strings = [];
    getStrings(ele, strings);
    return strings.join("");

    function getStrings(n, strings) {
        if (n.nodeType == 3 /* Node.TEXT_NODE */)
            strings.push(n.data);
        else if (n.nodeType == 1 /* Node.ELEMENT_NODE */) {
            for (var m = n.firstChild; m != null; m = m.nextSibling) {
                getStrings(m, strings);
            }
        }
    }
}
function checkAction(e, obj) {
    var selectedVal = document.getElementById(obj + "_timeoutAction").value;

    //alert(selectedVal)
    var durTextField = document.getElementById(obj + "_duration");

    //alert("text field"+durTextField)
    if (selectedVal == 'SelectAValue') {
        // alert(selectedVal);
        durTextField.disabled = "disabled"
        durTextField.value = '0';
    }
    else {
        durTextField.disabled = ""
        // alert(selectedVal);
        // durTextField.removeAttribute("disabled")
    }

}

function checkWSDLAction(e, obj) {
    var selectedVal = document.getElementById(obj + "endpoint_timeout_action0").value;
  //  alert(selectedVal)
    var durTextField = document.getElementById(obj + "endpoint_duration0");

    //alert("text field"+durTextField.value)
    if (selectedVal == 'SelectAValue') {
        // alert(selectedVal);
        durTextField.disabled = "disabled";
        durTextField.value = '0';
    }
    else {
        durTextField.disabled = ""
        // alert(selectedVal);
        // durTextField.removeAttribute("disabled")
    }

}

function createEditAddressForm(id) {
    var formId = "form_" + id;

    YAHOO.util.Event.onAvailable("info", function() {

        var divToAdd = document.createElement("DIV");
        divToAdd.style.display="none";
        divToAdd.id = formId;
        YAHOO.util.Event.addListener(formId + "_timeoutAction", "click", checkAction, formId);
        var endpointNode = getNodeById(id);
        var addressNode = endpointNode.childNodes[0];
        var addressChilds = null;
        if (addressNode.hasChildNodes()) {
            addressChilds = addressNode.childNodes;
        }

        var innerHTML = "";

        innerHTML += '<table class="styledLeft noBorders">' +
                     '<tbody>' +
                     '<thead><tr><th th colspan="2">Address Endpoint</th></tr></thead>'+
                     '<tr>' +
                     '<td class="leftCol-small">Address <span class="required">*</span></td>' +
                     '<td>';
        innerHTML += '<input type="text" id="' + formId + '_address' + '" value="';

        if (addressNode.getAttribute("uri")) {
            innerHTML += addressNode.getAttribute("uri");
        }

        innerHTML += '"/></td>' +
                     '</tr><tr>' +
                     '<td>Format</td>' +
                     '<td>';

        var optionNode = "";
     ///////////////////////////////////////////////////////
    //Dealing with the format type of  address endpoint
        var tempNode =document.createElement("DIV");
        var formatNode = document.createElement("select");
        var formatTypes = [["SelectAValue","Leave As-Is"],
                ["soap11","SOAP 1. 1"],
                ["soap12","SOAP 1.2"],
                ["pox","Plain Old XML (POX)"],
                ["get","REpresentational State Transfer (REST/GET)"]];
        formatNode.setAttribute("id", formId + '_format');
        var selectedOption = "";
        if (addressNode.getAttribute("format")) {
            selectedOption = addressNode.getAttribute("format");
        }
        else {
            selectedOption = "SelectAValue";
        }

        for (var i = 0; i < formatTypes.length; i++) {
            optionNode = document.createElement("option");
            optionNode.innerHTML = formatTypes[i][1];
            if (selectedOption == formatTypes[i][0]) {
                optionNode.setAttribute("selected", "selected");
            }
            optionNode.value=formatTypes[i][0];
            formatNode.appendChild(optionNode);
        }
        tempNode.appendChild(formatNode);
        innerHTML += tempNode.innerHTML;

        ////////////////////////////////////////////////////
        innerHTML += '</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Optimize</td>' +
                     '<td>';
         ///////////////////////////////////////////////////
        // Optimize Attribute setting

        var optimizeNode = document.createElement("select");
        var optimizeTypes = [["SelectAValue","Leave As-Is"],
                ["swa","SwA"],
                ["mtom","MTOM"]];
        optimizeNode.setAttribute("id", formId + '_optimize');
        selectedOption = "";
        if (addressNode.getAttribute("optimize")) {
            selectedOption = addressNode.getAttribute("optimize");
        }
        else {
            selectedOption = "SelectAValue";
        }

        for (var i = 0; i < optimizeTypes.length; i++) {
            optionNode = document.createElement("option");
            optionNode.innerHTML = optimizeTypes[i][1];
            if (selectedOption == optimizeTypes[i][0]) optionNode.setAttribute("selected", "selected");
            optimizeNode.appendChild(optionNode);
        }
        tempNode.innerHTML = "";
        tempNode.appendChild(optimizeNode);
        innerHTML += tempNode.innerHTML;

        innerHTML += '</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td colspan="2" class="middle-header">Suspend</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Error Codes</td>' +
                     '<td><input type="text" id="' + formId + '_errorCodes' + '" value="';

        if(addressNode.getElementsByTagName("syn:suspendOnFailure").length>0){
                var ff = addressNode.getElementsByTagName("syn:suspendOnFailure")[0];
                //alert(ff.nodeName);
                var child = ff.childNodes;
                 for(var i=0;i<child.length;i++){
                        if(child[i].nodeName=="syn:errorCodes"){
                            //alert(child[i].nodeName);
                           // alert(child[i].firstChild.nodeValue);
                           // nodeToCheck = document.getElementById(formId + '_timedoutErrCodes');
                            //nodeToCheck.value = child[i].nodeValue;

                             innerHTML +=  child[i].firstChild.nodeValue;
                        }
            }

            }

       // if (addressNode.getAttribute("uri")) {
       //     innerHTML += addressNode.getAttribute("uri");
       // }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Initial Duration (Millis)</td>' +
                     '<td><input type="text" id="' + formId + '_suspend' + '" value="';
        if(addressNode.getElementsByTagName("syn:initialDuration").length>0){

                innerHTML += addressNode.getElementsByTagName("syn:initialDuration")[0].firstChild.nodeValue;
            }
        innerHTML+='"/></td>' +
                     '</tr>' +
                     '<td>Max Duration</td>' +
                     '<td><input type="text" id="' + formId + '_maxDur' + '" value="'
         if(addressNode.getElementsByTagName("syn:maximumDuration").length>0){

                innerHTML+= addressNode.getElementsByTagName("syn:maximumDuration")[0].firstChild.nodeValue;
            }
        innerHTML+='"/></td>' +
                     '</tr>' +
                     '</tr>' +
                     '<td>Factor</td>' +
                     '<td><input type="text" id="' + formId + '_factor' + '" value="';
        if(addressNode.getElementsByTagName("syn:progressionFactor").length>0){

                innerHTML+= addressNode.getElementsByTagName("syn:progressionFactor")[0].firstChild.nodeValue;
            }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td colspan="2" class="middle-header">On Timedout</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Error Codes</td>' +
                     '<td><input type="text" id="' + formId + '_timedoutErrCodes' + '" value="';
        if(addressNode.getElementsByTagName("syn:markForSuspension").length>0){
                var markNode = addressNode.getElementsByTagName("syn:markForSuspension")[0];
                //alert(markNode.nodeName);
                var child = markNode.childNodes;
                 for(var i=0;i<child.length;i++){
                        if(child[i].nodeName=="syn:errorCodes"){
                            //alert(child[i].nodeName);
                            //alert(child[i].nodeValue);

                            innerHTML += child[i].firstChild.nodeValue;
                        }
            }
        }
        innerHTML+='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Retry</td>' +
                     '<td><input type="text" id="' + formId + '_retry' + '" value="';

        if(addressNode.getElementsByTagName("syn:retriesBeforeSuspension").length>0){

                innerHTML+=addressNode.getElementsByTagName("syn:retriesBeforeSuspension")[0].firstChild.nodeValue;
            }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Retry Delay(Millis)</td>' +
                     '<td><input type="text" id="' + formId + '_retryDelay' + '" value="';
        if(addressNode.getElementsByTagName("syn:retryDelay").length>0){

                innerHTML += addressNode.getElementsByTagName("syn:retryDelay")[0].firstChild.nodeValue;
            }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td colspan="2" class="middle-header">Timeout</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Action</td>' +
                     '<td>';
    ///////////////////////////////////////////////////
        // Optimize Attribute setting

        var timeoutActionNode = document.createElement("select");
        var timeoutActionTypes = [["SelectAValue","Never timeout"],
                ["discard","Discard message"],
                ["fault","Execute fault sequence"]];
        timeoutActionNode.setAttribute("id", formId + '_timeoutAction');

        var timeoutDurationNode = document.createElement("input");
        timeoutDurationNode.setAttribute("type","text");
        timeoutDurationNode.id = formId + '_duration';

        selectedOption = "";

        var timeoutDocNode = null;
        var timoutActionDocNode = null;
        var durationDocNode = null;





        if(addressChilds!=null){
           for(i=0;i<addressChilds.length;i++){
               if(addressChilds[i].nodeName == "syn:timeout")   timeoutDocNode = addressChilds[i];
           }
            if(timeoutDocNode!=null){
           for(i=0;i<timeoutDocNode.childNodes.length;i++){
               if(timeoutDocNode.childNodes[i].nodeName == "syn:action")   timoutActionDocNode = timeoutDocNode.childNodes[i];
               if(timeoutDocNode.childNodes[i].nodeName == "syn:duration")   durationDocNode = timeoutDocNode.childNodes[i];
           }
            }
        }

        if(timeoutDocNode != null){
            selectedOption = getText(timoutActionDocNode);
        }
        else {
            selectedOption = "SelectAValue";
        }

        if(selectedOption == "SelectAValue"){
            timeoutDurationNode.value = "";
            timeoutDurationNode.setAttribute("disabled","disabled");
        }
        else{
            timeoutDurationNode.setAttribute("value",getText(durationDocNode));
        }
        for (var i = 0; i < timeoutActionTypes.length; i++) {
            optionNode = document.createElement("option");
            optionNode.innerHTML = timeoutActionTypes[i][1];
            optionNode.value = timeoutActionTypes[i][0];
            if (selectedOption == timeoutActionTypes[i][0]) optionNode.setAttribute("selected", "selected");
            timeoutActionNode.appendChild(optionNode);
        }
        tempNode.innerHTML = "";
        tempNode.appendChild(timeoutActionNode);
        innerHTML += tempNode.innerHTML;


    innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Duration (Secs)</td>' +
                     '<td>';

        tempNode.innerHTML = "";
        tempNode.appendChild(timeoutDurationNode);
        innerHTML += tempNode.innerHTML;

        var addCheck=null;
        var sepCheck = null;
        //debugger;
        if (addressNode.getElementsByTagName("syn:enableAddressing").length>0) {

                addCheck = "checked";
                  
                var markNode = addressNode.getElementsByTagName("syn:enableAddressing")[0];
                if(markNode.hasAttribute("separateListener")){

                    sepCheck = "checked";

                }
            }

                innerHTML +='</td>'+'</tr>'+
                     '<tr><td colspan="2" class="middle-header">Qos</td></tr>'+       
                     '<tr>' +
                     '<td>WS-Addressing</td>';

        if(addCheck!=null){
            
            innerHTML +='<td><input type="checkbox" id="' + formId + '_wsAddressing' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + '_wsAddressing' + '"/>';
        }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Separate Listener</td>';

        if(sepCheck!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + '_listener' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + '_listener' + '"/>';
        }

        var enbSec = null;
        var enbRM = null;
        var enSecEle = null;
        enSecEle = addressNode.getElementsByTagName("syn:enableSec")[0];
        var enRMEle =null;
        enRMEle = addressNode.getElementsByTagName("syn:enableRM")[0];
        if (addressNode.getElementsByTagName("syn:enableSec").length>0) {

                enbSec = "checked";
            }

            if (addressNode.getElementsByTagName("syn:enableRM").length>0) {

                enbRM = "checked";
            }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>WS-Security</td>';

        if(enbSec!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + '_security' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + '_security' + '"/>';
        }
        innerHTML+='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Policy key</td>';
                if(enSecEle!=null){
                if(enSecEle.hasAttribute("policy")!=""){
                     var secPol = enSecEle.getAttribute("policy");

                     innerHTML+='<td><input type="text" id="' + formId + '_policy' + '" value="'+secPol+'" readonly="readonly" style="background-color:lightgray;float:left;"/>';
                }
                }
                    else{
                     innerHTML+='<td><input type="text" id="' + formId + '_policy' + '" value="" readonly="readonly" style="background-color:lightgray;float:left;"/>';
                }
                     innerHTML+='<a href="#registryBrowserLink" class="registry-picker-icon-link" onclick="'+'showInLinedRegistryBrowser('+'\''+formId+'_policy'+'\''+')'+'">Registry Keys</a></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>WS-RM</td>';


        if(enbRM!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + '_wsrm' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + '_wsrm' + '"/>';
        }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Policy key</td>';
                    if(enRMEle!=null){
                    if(enRMEle.hasAttribute("policy")!=""){
                        var rmPolicy = enRMEle.getAttribute("policy");

                        innerHTML+='<td><input type="text" id="' + formId + '_wsrmPolicy' + '" value="'+rmPolicy+'" readonly="readonly" style="background-color:lightgray;float:left;"/>';                        
                    }
                    }
                    else{
                     innerHTML+='<td><input type="text" id="' + formId + '_wsrmPolicy' + '" value="" readonly="readonly" style="background-color:lightgray;float:left;"/>';
                    }
                     innerHTML+='<a href="#registryBrowserLink" class="registry-picker-icon-link" onclick="'+'showInLinedRegistryBrowser('+'\''+formId+'_wsrmPolicy'+'\''+')'+'">Registry Keys</a></td>' +
                     '</tr>' +
                     '</tbody>' +
                     '</table>';

        divToAdd.innerHTML = innerHTML;
        var whereToAdd = document.getElementById("info");
        whereToAdd.appendChild(divToAdd);
    });
}

function createEditWSDLForm(id){
       var formId = "form_" + id;
	
       YAHOO.util.Event.onAvailable("info", function() {

        var divToAdd = document.createElement("DIV");
        divToAdd.style.display="none";
        divToAdd.id = formId;
        YAHOO.util.Event.addListener(formId + "endpoint_timeout_action0", "click", checkWSDLAction, formId);
        var endpointNode = getNodeById(id);
        var addressNode = endpointNode.childNodes[0];
        var addressChilds = null;
        var selectedOption = "";
        var optionNode = "";
        if (addressNode.hasChildNodes()) {
            addressChilds = addressNode.childNodes;
        }

        var innerHTML = "";

        innerHTML += '<table class="normal" style="width:100%">' +
                         '<thead><tr><th colspan="2">WSDL Endpoint</th></tr></thead>'+
                         '<tbody>' +
                         '<tr>' +
                         '<td class="leftCol-small">Specify as:</td>' +
                         '<td><input id="'+formId+"inlineselect"+'" type="radio" onclick="showDiv(\''+formId+'\')" value="Inline WSDL" name="group0"/>In-lined WSDL' +
                         '<input id="'+formId+"uriselect"+'" type="radio" checked="checked" value="WSDL-Uri" name="group0" onclick="showDiv(\''+formId+'\')" style="margin-left: 15px;"/>URI' +
                         '</td>' +
                         '</tr>' +
		         '<tr id="'+formId+"hideShow"+'">'+
                         '<td></td><td>'+
                         '<textarea id="'+formId+"inlineprop_value"+'" name="inlineval" rows="10" cols="50"  onblur="javascript:return validateWSDLEditor()">';
        var inlineWSDL ="";
	if(ffversion == 2){
		inlineWSDL = addressNode.getElementsByTagName("definitions");
	}else if(ffversion == 3){
		inlineWSDL = addressNode.getElementsByTagName("wsdl:definitions");
	}
	else{
		inlineWSDL = addressNode.getElementsByTagName("wsdl:definitions");
	}
		
	if (inlineWSDL.length > 0) {
                innerHTML+= xmlToString(inlineWSDL[0]);
            }
                    innerHTML += '</textarea>'+
                         '</td></tr>'+
                         '<tr id="'+formId+"uriRow"+'" style="display:none;">' +
                         '<td>' +
                         'WSDL URI' +
                         '<font style="color: red; font-size: 8pt;"> <span class="required">*</span></font></td>' +
                         '<td><input type="text" class="esb-edit" size="40" id="' + formId + "endpoint_address0" + '" value="';



        if (addressNode.getAttribute("uri")) {
            innerHTML += addressNode.getAttribute("uri");
        }




        innerHTML +='" /></td>' +'</tr>' +'<tr>' +
                         '<td>Service<font style="color: red; font-size: 8pt;"> <span class="required">*</span></font></td>' +
                         '<td><input type="text" class="esb-edit" size="40" id="' + formId + "endpoint_service0" + '" value="';
        if (addressNode.getAttribute("service")) {
            innerHTML += addressNode.getAttribute("service");
        }
        innerHTML+='" /></td>' +
                         '</tr>'+'<tr>' +
                         '<td>Port<font style="color: red; font-size: 8pt;"> <span class="required">*</span></font></td>' +
                         '<td><input type="text" class="esb-edit" size="40" id="' + formId + "endpoint_port0" + '" value="';
        if (addressNode.getAttribute("port")) {
            innerHTML += addressNode.getAttribute("port");
        }
        innerHTML+='" /></td>' +
                         '<tr>' +
                         '<td colspan="2" class="middle-header">Suspend</td>' +
                         '</tr>';
        innerHTML +='<tr>' +
                         '<td class="indent-small form-sub-field">Error Codes</td>' +
                         '<td><input type="text" id="' + formId + '_errorCodes' + '" class="esb-edit" value="';
        if (addressNode.getElementsByTagName("syn:errorCodes").length > 0) {

                innerHTML +=addressNode.getElementsByTagName("syn:errorCodes")[0].firstChild.nodeValue;
            }
        innerHTML+='"/></td>' +
                         '</tr>'+ '<tr>' +
                         '<td class="indent-small form-sub-field">Initial Duration (Millis)</td>' +
                         '<td><input type="text" id="' + formId + 'endpoint_suspend_duration0' + '" class="esb-edit" value="';
        if (addressNode.getElementsByTagName("syn:initialDuration").length > 0) {

                innerHTML+= addressNode.getElementsByTagName("syn:initialDuration")[0].firstChild.nodeValue;
            }

        innerHTML+='"/></td>' +
                         '</tr>'+'<td class="indent-small form-sub-field">Max Duration</td>' +
                         '<td><input type="text" id="' + formId + '_maxDur' + '" class="esb-edit" value="';
        if (addressNode.getElementsByTagName("syn:maximumDuration").length > 0) {

                innerHTML+= addressNode.getElementsByTagName("syn:maximumDuration")[0].firstChild.nodeValue;
            }
        innerHTML+='"/></td>' +
                         '</tr>' +
                         '</tr>'+'<td class="indent-small form-sub-field">Factor</td>' +
                         '<td><input type="text" id="' + formId + '_factor' + '" class="esb-edit" value="';
        if (addressNode.getElementsByTagName("syn:progressionFactor").length > 0) {

                innerHTML+= addressNode.getElementsByTagName("syn:progressionFactor")[0].firstChild.nodeValue;
            }
        innerHTML+='"/></td>' +
                         '</tr>'+
                     '<tr>' +
                     '<td colspan="2" class="middle-header">On Timedout</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Error Codes</td>' +
                     '<td><input type="text" id="' + formId + '_timedoutErrCodes' + '" value="';
        if(addressNode.getElementsByTagName("syn:markForSuspension").length>0){
                var markNode = addressNode.getElementsByTagName("syn:markForSuspension")[0];
                //alert(markNode.nodeName);
                var child = markNode.childNodes;
                 for(var i=0;i<child.length;i++){
                        if(child[i].nodeName=="syn:errorCodes"){
                            //alert(child[i].nodeName);
                            //alert(child[i].nodeValue);

                            innerHTML += child[i].firstChild.nodeValue;
                        }
            }
        }
        innerHTML+='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Retry</td>' +
                     '<td><input type="text" id="' + formId + '_retry' + '" value="';

        if(addressNode.getElementsByTagName("syn:retriesBeforeSuspension").length>0){

                innerHTML+=addressNode.getElementsByTagName("syn:retriesBeforeSuspension")[0].firstChild.nodeValue;
            }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>Retry Delay(Millis)</td>' +
                     '<td><input type="text" id="' + formId + '_retryDelay' + '" value="';
        if(addressNode.getElementsByTagName("syn:retryDelay").length>0){

                innerHTML += addressNode.getElementsByTagName("syn:retryDelay")[0].firstChild.nodeValue;
            }
        innerHTML +='"/></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="middle-header" colspan="2">Timeout</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Action</td>' +
                     '<td>';
    ///////////////////////////////////////////////////
        // Optimize Attribute setting

        var timeoutActionNode = document.createElement("select");
        var timeoutActionTypes = [["SelectAValue","Never timeout"],
                ["discard","Discard message"],
                ["fault","Execute fault sequence"]];
        timeoutActionNode.setAttribute("id", formId + 'endpoint_timeout_action0');

        var timeoutDurationNode = document.createElement("input");
        timeoutDurationNode.setAttribute("type","text");
        timeoutDurationNode.id = formId + 'endpoint_duration0';



        var timeoutDocNode = null;
        var timoutActionDocNode = null;
        var durationDocNode = null;

        if(addressChilds!=null){
           for(i=0;i<addressChilds.length;i++){
               if(addressChilds[i].nodeName == "syn:timeout")   timeoutDocNode = addressChilds[i];
           }
            if(timeoutDocNode!=null){
           for(i=0;i<timeoutDocNode.childNodes.length;i++){
               if(timeoutDocNode.childNodes[i].nodeName == "syn:action")   timoutActionDocNode = timeoutDocNode.childNodes[i];
               if(timeoutDocNode.childNodes[i].nodeName == "syn:duration")   durationDocNode = timeoutDocNode.childNodes[i];
           }
            }
        }

        if(timeoutDocNode != null){
            selectedOption = getText(timoutActionDocNode);
        }
        else {
            selectedOption = "SelectAValue";
        }

        if(selectedOption == "SelectAValue"){
            timeoutDurationNode.value = "";
            timeoutDurationNode.setAttribute("disabled","disabled");
        }
        else{
            timeoutDurationNode.setAttribute("value",getText(durationDocNode));
        }
         var tempNode =document.createElement("DIV");

        for (var i = 0; i < timeoutActionTypes.length; i++) {
            optionNode = document.createElement("option");
            optionNode.innerHTML = timeoutActionTypes[i][1];
            optionNode.value = timeoutActionTypes[i][0];
            if (selectedOption == timeoutActionTypes[i][0]) optionNode.setAttribute("selected", "selected");
            timeoutActionNode.appendChild(optionNode);
        }
        tempNode.innerHTML = "";
        tempNode.appendChild(timeoutActionNode);
        innerHTML += tempNode.innerHTML;


    innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Duration (Secs)</td>' +
                     '<td>';

        tempNode.innerHTML = "";
        tempNode.appendChild(timeoutDurationNode);
        innerHTML += tempNode.innerHTML;

         var addCheck=null;
        var sepCheck = null;
        //debugger;
        if (addressNode.getElementsByTagName("syn:enableAddressing").length>0) {

                addCheck = "checked";

                var markNode = addressNode.getElementsByTagName("syn:enableAddressing")[0];
                if(markNode.hasAttribute("separateListener")){

                    sepCheck = "checked";

                }
            }

                innerHTML +='</td>'+
                     '</tr>' +
                     '<tr><td colspan="2" class="middle-header">Qos</td></tr>'+
                     '<tr>' +
                     '<td>WS-Addressing</td>';

        if(addCheck!=null){

            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsAddressingEngaged0' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsAddressingEngaged0' + '"/>';
        }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Separate Listener</td>';

        if(sepCheck!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + 'separateListener0' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + 'separateListener0' + '"/>';
        }

        var enbSec = null;
        var enbRM = null;
        var enSecEle = null;
        enSecEle = addressNode.getElementsByTagName("syn:enableSec")[0];
        var enRMEle = null;
        enRMEle = addressNode.getElementsByTagName("syn:enableRM")[0];
        if (addressNode.getElementsByTagName("syn:enableSec").length>0) {

                enbSec = "checked";
            }

            if (addressNode.getElementsByTagName("syn:enableRM").length>0) {

                enbRM = "checked";
            }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>WS-Security</td>';

        if(enbSec!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsSecEngaged0' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsSecEngaged0' + '"/>';
        }
        innerHTML+='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Policy key</td>';
                    if(enSecEle!=null){
                     if(enSecEle.hasAttribute("policy")){
                         var secPol = enSecEle.getAttribute("policy");
                     innerHTML+='<td><input type="text" id="' + formId + 'sec_policy0' + '" value="'+secPol+'" readonly="readonly" style="background-color:lightgray;"/></td>';
                     }
                    }
                     else{
                     innerHTML+='<td><input type="text" id="' + formId + 'sec_policy0' + '" value="" readonly="readonly" style="background-color:lightgray;float:left"/>';
                     }
                     innerHTML+='<a href="#registryBrowserLink" class="registry-picker-icon-link" onclick="'+'showInLinedRegistryBrowser('+'\''+formId+'sec_policy0'+'\''+')'+'">Registry Keys</a></td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td>WS-RM</td>';


        if(enbRM!=null){
            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsRMEngaged0' + '" checked="checked"/>';
        }
        else{
            innerHTML +='<td><input type="checkbox" id="' + formId + 'wsRMEngaged0' + '"/>';
        }
        innerHTML +='</td>' +
                     '</tr>' +
                     '<tr>' +
                     '<td class="indented">Policy key</td>';
                    if(enRMEle!=null){
                     if(enRMEle.hasAttribute("policy")){
                     var rmPol = enRMEle.getAttribute("policy");
                     innerHTML+='<td><input type="text" id="' + formId + 'rm_policy0' + '" value="'+rmPol+'" readonly="readonly" style="background-color:lightgray;"/></td>';
                     }
                    }
                     else{
                     innerHTML+='<td><input type="text" id="' + formId + 'rm_policy0' + '" value="" readonly="readonly" style="background-color:lightgray;float:left;"/>';
                     }
                     innerHTML+='<a href="#registryBrowserLink" class="registry-picker-icon-link" onclick="'+'showInLinedRegistryBrowser('+'\''+formId+'rm_policy0'+'\''+')'+'">Registry Keys</a></td>' +
                     '</tr>' +
                     '</tbody>' +
                     '</table>';
if (addressNode.getElementsByTagName("wsdl:definitions").length > 0) {
	innerHTML +='<script type="text/javascript" language="JavaScript"> showDiv(\''+formId+'\');</script>';
}
        divToAdd.innerHTML = innerHTML;
        var whereToAdd = document.getElementById("info");
        whereToAdd.appendChild(divToAdd);
    });
}

function createLoadBalanceForm(id) {
    var formId = "form_" + id;
    YAHOO.util.Event.onAvailable("info", function() {
	var divToAdd = document.createElement("DIV");
	
	divToAdd.setAttribute("id", formId);
	//YAHOO.util.Event.addListener(formId + "endpoint_timeout_action0", "click", checkWSDLAction, formId);
	divToAdd.innerHTML = '<table class="normal" style="width:100%">' +
	                 '<tr><td class="leftCol-small">Session Management</td>' +
	                 '<td><select id="' + formId + '_sesOptions" name="sesManagement">' +
	                 '<option value="SelectAValue">None</option>' +
	                 '<option value="http">Transport</option>' +
	                 '<option value="soap">SOAP</option>' +
	                 '<option value="simpleClientSession">Client ID</option>' +
	                 '</select></td>' +
	                 '</tr><tr>' +
	                 '<td>Session Timeout (Millis)</td>' +
	                 '<td><input type="text" id="' + formId + 'sesTimeout" class="textbox"/></td>' +
	                 '</tr></table>';
	var whereToAdd = document.getElementById("info");
	whereToAdd.appendChild(divToAdd);
	
	
	var endpointNode = getNodeById(id);
	var endpointSubNode = endpointNode.childNodes[0];
	var sessionNode = null;
	
	if (endpointNode.childNodes.length > 1) {
		var sessionNode = endpointNode.childNodes[1];
		if (endpointSubNode.nodeName != "syn:loadbalance") {
		    endpointSubNode = endpointNode.childNodes[1];
		    sessionNode = endpointNode.childNodes[0];
		}
	}
	
	var nodeToCheck = "";
	
	if (sessionNode != null) {
		nodeToCheck = document.getElementById(formId + '_sesOptions');
		for (var i = 0; i < nodeToCheck.childNodes.length; i++) {
		    if (nodeToCheck.childNodes[i].value == sessionNode.getAttribute("type")) nodeToCheck.childNodes[i].setAttribute("selected", "selected");
		}
	
	}
	

        
    });
}