<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>
<%@ page import="java.io.ByteArrayInputStream" %>
<%@ page import="org.wso2.carbon.utils.xml.XMLPrettyPrinter" %>
<%@ page import="java.io.*" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.endpoints.ui.i18n.Resources">
    <carbon:breadcrumb
		label="wsdl.endpoint.source"
		resourceBundle="org.wso2.carbon.endpoints.ui.i18n.Resources"
		topPage="false"
		request="<%=request%>" />
    <div>
     <div id="middle">
<h2><fmt:message key="wsdl.endpoint.source"/></h2>

<div id="workArea">

    <script type="text/javascript">

        function viewDesign(){

	//var txtVal = document.getElementById("test").value;
	//document.location.href='wsdlEndpointCaller.jsp?'+'epXML='+txtVal;
            document.xmlForm.action='addressEpbuilder.jsp';
	        document.xmlForm.submit();

}

        function submitData(){
            //var payload = document.getElementById('xmlPay').value;
            document.xmlForm.action='addEpSrcSaveHelper.jsp';
	        document.xmlForm.submit();

        }
    </script>
    <%!      HttpServletRequest req = null;
            private static final String SYNAPSE_NS = "http://ws.apache.org/ns/synapse";
             PrintWriter out = null;
        %>


    <%!

            public String getWDSLXML(HttpSession session){
            String name = req.getParameter("Name");
            String uriChecked = req.getParameter("uri");
            String inlineVal = req.getParameter("inlineval");
            String address = req.getParameter("wsdlUri");
            String service = req.getParameter("service");
            String port = req.getParameter("port");
            String susDuration = req.getParameter("DurationSec");
            String timeOutAction = req.getParameter("Action");
            String actionDurSec = req.getParameter("DurationInAction");
            String wsAddEnable = req.getParameter("wsAddEnable");
            String sepListener = req.getParameter("sepLis");
            String wsSecEnable = req.getParameter("wsSec");
            String wsRmEnable = req.getParameter("wsRm");

            String errorCodes = req.getParameter("errCodes");
            String maxDur = req.getParameter("maxDur");
            String factor = req.getParameter("factor");
            String retryDelay = req.getParameter("retryDelay");
            String retry = req.getParameter("retry");
            String timeoutErrCodes = req.getParameter("timoutErr");
            String secPolKey = req.getParameter("polKey");
            String rmPolKey = req.getParameter("rmpolKey");

                StringBuilder bodyxml = new StringBuilder();

                    bodyxml.append("<syn:endpoint xmlns:syn=\""+SYNAPSE_NS+"\"");
                // removes name attribute if in anon mode
                String epMode = null;
                if ((epMode = (String)session.getAttribute("epMode")) != null && !"".equals(epMode) && "anon".equals(epMode)) {
                    bodyxml.append(">");
                } else {
                    bodyxml.append(" name=\""+name.trim()+"\""+">");
                }
                    bodyxml.append("<syn:wsdl ");

                    if(uriChecked!=null && (uriChecked.equalsIgnoreCase("URI"))){
                        bodyxml.append("uri=\""+address+"\"");
                    }

                    if(service!=null){
                        bodyxml.append("  service=\""+service+"\"");
                    }

                    if(port!=null){
                        bodyxml.append("  port=\""+port+"\""+">");
                    }

                    if(uriChecked!=null && (uriChecked.equalsIgnoreCase("InlinedWsdl"))){
                        bodyxml.append(inlineVal.trim());
                    }

                    if(timeOutAction!=null && (!(timeOutAction.equalsIgnoreCase("Never timeout")))){
                        bodyxml.append("<syn:timeout> ");
                        bodyxml.append("<syn:action> ");

                            if(timeOutAction.equalsIgnoreCase("Discard message")){
                                bodyxml.append("discard");
                            }
                            else{
                                bodyxml.append("fault");
                            }
                            bodyxml.append("</syn:action> ");

                            if(actionDurSec!=null){
                                bodyxml.append("<syn:duration>"+ Long.valueOf(actionDurSec.trim())+"</syn:duration> ");
                            }
                        bodyxml.append("</syn:timeout>");

                    }


                    String susXML = "";
                //put a javascript to check if value entered is a number
            if(!(susDuration.equalsIgnoreCase(""))){
                 if(Integer.valueOf(susDuration).intValue()>0){
                 susXML = "<syn:suspendOnFailure><syn:initialDuration>"+ Long.valueOf(susDuration.trim())+"</syn:initialDuration>";

                 }
            }

            if(!(errorCodes.equalsIgnoreCase(""))){
                if(susXML.equalsIgnoreCase("")){
                    susXML = "<syn:suspendOnFailure>"+"<syn:errorCodes>"+ errorCodes.trim()+ "</syn:errorCodes>";
                }
                else{
                    susXML += "<syn:errorCodes>"+ errorCodes.trim()+ "</syn:errorCodes>";
                }
            }

            if(!(susXML.equalsIgnoreCase(""))){
                if(!(maxDur.equalsIgnoreCase(""))){
                    susXML += "<syn:maximumDuration>"+ Long.valueOf(maxDur)+"</syn:maximumDuration>";
                }
                if(!(factor.equalsIgnoreCase(""))){
                    susXML += "<syn:progressionFactor>"+ Float.valueOf(factor)+"</syn:progressionFactor>";
                }
                else{
                  susXML += "<syn:progressionFactor>"+"0.0"+"</syn:progressionFactor>";
                }
                susXML+= "</syn:suspendOnFailure>";
                bodyxml.append(susXML);
            }

            String timedoutXML = "";
            if(!(retryDelay.equalsIgnoreCase(""))){
                if(Integer.valueOf(retryDelay).intValue()>0){
                    timedoutXML += "<syn:markForSuspension><syn:retryDelay>"+retryDelay+"</syn:retryDelay>";
                }
            }

            if(!(timeoutErrCodes.equalsIgnoreCase(""))){
                if(timedoutXML.equalsIgnoreCase("")){
                    timedoutXML ="<syn:markForSuspension><syn:errorCodes>"+timeoutErrCodes+"</syn:errorCodes>";
                }
                else{
                    timedoutXML += "<syn:errorCodes>"+timeoutErrCodes+"</syn:errorCodes>";
                }
            }

            if(!(timedoutXML.equalsIgnoreCase(""))){
                if(!(retry.equalsIgnoreCase(""))){
                    timedoutXML +="<syn:retriesBeforeSuspension>"+retry+"</syn:retriesBeforeSuspension>";

                }
                timedoutXML += "</syn:markForSuspension>";
                bodyxml.append(timedoutXML);
            }

                    if(wsAddEnable!=null && (wsAddEnable.equalsIgnoreCase("checked"))){
                        if(sepListener!=null && (sepListener.equalsIgnoreCase("checked"))){
                            bodyxml.append("<syn:enableAddressing separateListener='true'/>");
                        }
                        else{
                            bodyxml.append("<syn:enableAddressing/>");
                        }
                    }

             if (wsRmEnable != null && (wsRmEnable.equalsIgnoreCase("checked"))) {
                    if(rmPolKey==null){
                    bodyxml.append("<syn:enableRM/>");
                }
                else {
                    bodyxml.append("<syn:enableRM ");
                    bodyxml.append("policy=\""+rmPolKey+"\"");
                    bodyxml.append("></syn:enableRM>");
                }
                }
                if (wsSecEnable != null && wsSecEnable.equalsIgnoreCase("checked")) {
                    if(secPolKey==null){
                bodyxml.append("<syn:enableSec/>");
                }
                 else {
                    bodyxml.append("<syn:enableSec ");
                    bodyxml.append("policy=\""+secPolKey+"\"");
                    bodyxml.append("></syn:enableSec>");
                }
            }

                    bodyxml.append("</syn:wsdl>");
                    bodyxml.append("</syn:endpoint>");

                    return bodyxml.toString().trim();



        }

    %>
    <%
         req = request;
	    String sourceXML = getWDSLXML(session);
        
        ByteArrayInputStream stream = new ByteArrayInputStream(sourceXML.getBytes());
        XMLPrettyPrinter printer = new XMLPrettyPrinter(stream);
        sourceXML = printer.xmlFormat();
        //session.removeAttribute("xmlpayload");
        session.setAttribute("page","wsdl");
        session.setAttribute("savePage","wsdlEndpoint.jsp");
    %>

    <form name="xmlForm" action="" method="POST">
    <table class="styledLeft">
               <thead>
    <tr>
        <th>
<span style="float: left; position: relative; margin-top: 2px;"><fmt:message key="source.view.of.the.wsdlendpoint"/></span><a href="#" class="icon-link" style="background-image: url(images/design-view.gif);" onclick="viewDesign()"> <fmt:message key="switch.to.design.view"/></a>
</th>
    </tr>
</thead>
    <tr><td><textarea id="test" name="xmlpayload" style="border: 0px solid rgb(204, 204, 204); width: 99%; height: 275px; margin-top: 5px;" rows="30"><%=sourceXML%></textarea></td></tr>
<tr>

    <td class="buttonRow">
        <input type="button" value="<fmt:message key="save"/>" class="button" name="save" onclick="submitData()"/>
        <input type="button" value="<fmt:message key="cancel"/>" name="cancel" class="button" onclick="javascript:document.location.href='index.jsp'"/>
    </td>
</tr>
     </table>
    </form>
</div>
    </div>
    </div>
</fmt:bundle>
