<%@ page contentType="text/html" pageEncoding="UTF-8" %>
<%@ page import="org.wso2.carbon.localentry.dos.xsd.*" %>
<%@ page import="org.wso2.carbon.localentry.service.LocalEntryAdminServiceStub" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.axis2.context.ConfigurationContextFactory" %>
<%@ page import="org.apache.axiom.om.OMElement" %>
<%@ page import="org.apache.axiom.*" %>
<%@ page import="org.apache.axiom.om.impl.llom.util.AXIOMUtil" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.localentry.ui.client.LocalEntryAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<fmt:bundle basename="org.wso2.carbon.localentry.ui.i18n.Resources">
   <carbon:breadcrumb
		label="inlined.text.entry"
		resourceBundle="org.wso2.carbon.localentry.ui.i18n.Resources"
		topPage="false"
		request="<%=request%>" />
<script type="text/javascript">
    String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
String.prototype.ltrim = function() {
	return this.replace(/^\s+/,"");
}
String.prototype.rtrim = function() {
	return this.replace(/\s+$/,"");
}
    function ValidateTextForm(form) {
        if (IsEmpty(form.Name))
        {
            CARBON.showWarningDialog('<fmt:message key="name.field.cannot.be.empty"/>')
            form.Name.focus();

            return false;
        }

        if (IsEmpty(form.Value)) {
            CARBON.showWarningDialog('<fmt:message key="value.field.cannot.be.empty"/>')
            form.Value.focus();

            return false;
        }
        if(specialCharValidator()){
             CARBON.showWarningDialog('The Value field has special characters. \nThese are not allowed.\n')
             form.Value.focus();
             return false;
        }
    }

    function IsEmpty(aTextField) {
        if ((aTextField.value.trim().length == 0) ||
            (aTextField.value.trim() == null) || (aTextField.value.trim() == '')) {
            return true;
        }
        else {
            return false;
        }
    }

    function specialCharValidator(){
        var iChars = "!,-@#$%^&*()+=-[]\\\';,./{}|\":<>?";
        for (var i = 0; i < document.Submit.Value.value.length; i++) {
                if (iChars.indexOf(document.Submit.Value.value.charAt(i)) != -1) {
                //CARBON.showWarningDialog('The Value field has special characters. \nThese are not allowed.\n')
                return true;
        }
                }
    }


</script>
    <%--
    <%if(session.getAttribute("locerrMsg")!=null){

    String msg = (String)session.getAttribute("locerrMsg");
       
        if(!(msg.equalsIgnoreCase("set"))){
   %>
     <script type="text/javascript">
         jQuery(document).ready(function(){
             CARBON.showErrorDialog('<%=msg%>');

         });

   </script>

   <%}}%>
   <%  if(session.getAttribute("locerrMsg")!=null){
       session.setAttribute("locerrMsg","set");
   }
   %>  --%>

<div id="middle">

    <h2><fmt:message key="inlined.text.entry"/></h2>

    <div id="workArea">


        <form name="Submit" action="ServiceCaller.jsp" method="POST"
              onsubmit="javascript:return ValidateTextForm(this)">
            <% String entryName = request.getParameter("entryName");
                if (entryName != null) {
                    session.setAttribute("edit" + entryName, "true");
                }
                String url = CarbonUIUtil.getServerURL(this.getServletConfig().getServletContext(),
                        session);

                ConfigurationContext configContext =
                        (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

               String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
                LocalEntryAdminClient client = new LocalEntryAdminClient(cookie, url, configContext);
                EntryData entry = null;
                if (entryName != null) {
                    EntryData[] entData = client.getEntryData();

                    for (EntryData data : entData) {
                        if (data.getName().equalsIgnoreCase(entryName)) {
                            entry = data;
                            break;
                        }
                    }

                }


            %>
            <table cellpadding="0" cellspacing="0" border="0" class="styledLeft noBorders">
                <thead>
                	<tr><th colspan="2"></th></tr>
                </thead>
                <tbody>
                    <input type="hidden" name="pageName" value="inlinedText.jsp"/>
                <%if ((entry != null) && entry.getName() != null) {%>
                <tr>

                    <td><fmt:message key="name"/><span class="required">*</span></td>
                    <td><input type="text" name="Name" value="<%=entry.getName()%>" size="60" readonly="readonly" style="background-color:lightgray;"/></td>
                </tr>
                <%} else {%>
                <tr>
                    <td><fmt:message key="name"/><span class="required">*</span></td>
                    <td><input type="text" size="60" name="Name" value=""/></td>
                </tr>
                <%}%>
                <tr>
                    <td style="width:100px;"><fmt:message key="value"/><span class="required">*</span></td>
                    <td>
                        <%if ((entry != null) && entry.getValue() != null) {%>
                        <textarea name="Value" title="In-lined Text Value"
                                  cols="70" rows="18"><%=entry.getValue().trim()%>
                        </textarea> <br/>
                        <%} else {%>
                        <textarea name="Value" title="In-lined Text Value" cols="70" rows="18"></textarea> <br/>
                        <%}%>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="buttonRow">
                        <input type="submit" value="<fmt:message key="save"/>" class="button"/> <input type="button" value="<fmt:message key="cancel"/>"
                                                                                 onclick="javascript:document.location.href='index.jsp'"
                                                                                 class="button"/>
                    </td>
                </tr>
                </tbody>
            </table>
        </form>
    </div>
</div>

</fmt:bundle>
