<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%--
  ~  Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~  Licensed under the Apache License, Version 2.0 (the "License");
  ~  you may not use this file except in compliance with the License.
  ~  You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~  Unless required by applicable law or agreed to in writing, software
  ~  distributed under the License is distributed on an "AS IS" BASIS,
  ~  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~  See the License for the specific language governing permissions and
  ~  limitations under the License.
  --%>

<%@ page import="org.apache.synapse.Mediator" %>
<%@ page import="org.apache.synapse.mediators.AbstractListMediator" %>
<%@ page import="org.apache.synapse.mediators.base.SequenceMediator" %>
<%@ page import="org.wso2.carbon.sequences.ui.SequenceEditorConstants" %>
<%@ page import="org.wso2.carbon.sequences.ui.util.SequenceEditorHelper" %>

<%
    String sequenceName = request.getParameter("sequenceName");
    String onErrorKey = request.getParameter("onErrorKey");
    String mediatorName = request.getParameter("mediatorName");
    String position = request.getParameter("position");
    String type = request.getParameter("type");
    SequenceMediator editingSequence = SequenceEditorHelper.getEditingSequence(session);

    if (sequenceName != null && !"".equals(sequenceName)) {
        editingSequence.setName(sequenceName);
    }

    if (onErrorKey != null && !"".equals(onErrorKey)) {
        editingSequence.setErrorHandler(onErrorKey);
    }

    Mediator mediator = SequenceEditorHelper.getNewMediator(mediatorName);
    if (SequenceEditorConstants.ADD_CHILD_TYPE.equals(type)) {
        AbstractListMediator parent = (AbstractListMediator) SequenceEditorHelper.getMediatorAt(
                editingSequence, position.substring(9));
        parent.addChild(mediator);
    } else if (SequenceEditorConstants.ADD_SYBLING_TYPE.equals(type)) {
        position = position.substring(9);
        int index = position.lastIndexOf(".");
        if (index != -1) {
            AbstractListMediator parent = (AbstractListMediator) SequenceEditorHelper.getMediatorAt(
                    editingSequence, position.substring(0, index));
            parent.addChild(mediator);
        } else {
            editingSequence.addChild(mediator);
        }
    } else {
        // todo : error handling
    }
%>

<script type="text/javascript">
    location.href = "design_sequence.jsp?sequenceName=" + "<%=editingSequence.getName()%>";
</script>